# -*- coding: utf-8 -*-

class BeginningIdol_Korean < DiceBot
  setPrefixes([
    '[1-7]*PD\d+(?:[\+\-]\d+)?',
    'HW',
    'BWT',
    'LWT',
    'TWT',
    'CWT',
    'LO\d{0,2}',
    'SU',
    'WI',
    'NA',
    'GA',
    'BA',
    'WT',
    'VA',
    'MU',
    'DR',
    'VI',
    'SP',
    'CHR',
    'PAR',
    'SW',
    'AN',
    'MOV',
    'FA',
    'HA',
    'AT[1-6]?',
    'LUR',
    'SUR',
    'WUR',
    'NUR',
    'GUR',
    'BUR',
    'BT\d*',
    'SGT',
    'RS',
    'SH',
    'MO',
    'SEA',
    'SPA',
    'TN',
    'CG',
    'GG',
    'FL',
    'LN',
    'MS',
    'MSE',
    'ST',
    'FST',
    'CHO',
    'SCH',
    'WCH',
    'NCH',
    'IT\d*',
    'ACT',
    'ACB',
    'ACE',
    'DT',
    'RC',
    'FC',
    'CBT',
    'RCB',
    'HBT',
    'RHB',
    'RU',
    '\d{2}C',
    'BU',
    '\d+S?A[1-6]*(?:[\+\-]\d+)?',
    'SIP',
    'BVT',
    'LVT',
    'TVT',
    'CVT',
    'BST',
    'LST',
    'TST',
    'CST',
    'BPT',
    'LPT',
    'TPT',
    'CPT',
    'BIT',
    'LIT',
    'TIT',
    'CIT'
  ])

  def initialize
    super
    @sendMode = 2
    @sortType = 1
    @d66Type = 2
  end

  def gameName
    '비기닝 아이돌'
  end

  def gameType
    "BeginningIdol:Korean"
  end

  def getHelpMessage
    return <<INFO_MESSAGE_TEXT
・퍼포먼스　[r]PDn[+m/-m](r：남은 주사위 눈　n：굴릴 갯수　m：수정치)
・월드세팅 업무표　BWT：대형 연예 프로덕션　LWT：약소 연예 프로덕션
　TWT：라이브 시어터　CWT：아이돌 부　LO[n]：로컬 아이돌(n：찬스)
　SU：열정의 여름　WI：온기의 겨울　NA：대자연　GA：女学園　BA：アカデミー
・업무표　WT　VA：버라이어티　MU：음악 관련　DR：드라마 관련
　VI：비주얼 관련　SP：스포츠　CHR：크리스마스　PAR：파트너 관련
・특기 리스트　AN：動物　MOV：映画　FA：ファンタジー
・ハプニング表　HA
・特技リスト　AT[n](n：分野No.)
・아이돌 스킬 습득표　SGT：챌린지 걸즈　RS：로드 투 프린스
・변조　BT[n](n：주사위눈)
・아이템　IT[n](n：보유 갯수)
・アクセサリー　ACT：種別決定　ACB：ブランド決定　ACE：効果表
・의상　DT：챌린지 걸즈　RC：로드 투 프린스　FC:フォーチュンスターズ
・엉망진창 표　LUR：로컬 아이돌　SUR：정열의 여름　WUR：온기의 겨울
　NUR：대자연　GUR：女学園　BUR：アカデミー
・센터 룰　HW：역풍 씬표　FL：신출내기 씬표　LN：고독표
　マイスキル【MS：名前決定　MSE：効果表】　演出表【ST　FST：ファンタジー】
・합숙 룰　산책표 【SH：쇼핑몰　MO：산　SEA：바다　SPA：온천】
　TN：야밤의 대화 시츄에이션　성장표 【CG：커먼　GG：골드】
・작사표　CHO　SCH：정열의 여름　WCH：온기의 겨울　NCH：대자연
・캐릭터 공백표　CBT：챌린지 걸즈　RCB：로드 투 프린스
・취미 공백표　HBT：챌린지 걸즈　RHB：로드 투 프린스
・마스코트 폭주표　RU
・버스트 타임　nC：バーストタイム(n：온도)　BU：バースト表
・攻撃　n[S]A[r][+m/-m](n：振る数　S：失敗しない　r：取り除く出目　m：修正値)
・かんたんパーソン表　SIP
・회장표
　BVT：대형 예능 프로덕션　LVT：약소 예능 프로덕션　TVT：라이브 시어터　CVT：아이돌 부
・장소표
　BST：대형 예능 프로덕션　LST：약소 예능 프로덕션　TST：라이브 시어터　CST：아이돌 부
・프레셔 종류 결정표
　BPT：대형 예능 프로덕션　LPT：약소 예능 프로덕션　TPT：라이브 시어터　CPT：아이돌 부
・도구표
　BIT：대형 예능 프로덕션　LIT：약소 예능 프로덕션　TIT：라이브 시어터　CIT：아이돌 부
[]内は省略可　D66 다이스가 존재
INFO_MESSAGE_TEXT
  end

  def check_2D6(total_n, dice_n, signOfInequality, diff, dice_cnt, dice_max, n1, n_max)
    check_nD6(total_n, dice_n, signOfInequality, diff, dice_cnt, dice_max, n1, n_max)
  end

  def check_nD6(total_n, dice_n, signOfInequality, diff, dice_cnt, dice_max, n1, n_max)
    return '' unless signOfInequality == ">="
    if(dice_n <= 2)
      return " ＞ ファンブル(変調がランダムに1つ発生し、PCは【思い出】を1つ獲得する)"
    elsif(dice_n >= 12)
      return " ＞ 스페셜!(PC는 【추억】 1개 획득)"
    elsif(total_n >= diff)
      return " ＞ 성공"
    else
      return " ＞ 실패"
    end
  end

  def rollDiceCommand(command)

    case command.upcase
    when /^([1-7]*)PD(\d+)([\+\-]\d+)?$/
      counts = $2.to_i
      return nil if counts <= 0

      residual = $1
      adjust = $3.to_i

      return rollPerformance(counts, residual, adjust)

    when 'HW'
      title = '向かい風シーン表'
      table = [
        "誰もいない屋内。静寂が世界を包んでいる。嵐の前の静けさだ。",
        "話し声が絶えない夕暮れの帰り道。みんなが明るい声を上げる中、自分の周りだけがぽっかり穴が空いたかのように静かだ。",
        "曇り空になってきた。早く屋内に行かないと、雨でぬれてしまうかもしれない。",
        "ゲリラ豪雨だ。傘も持ってきていないので、激しい雨に打たれるしかない。ついてないな。",
        "夜空を雲が覆いつくしてしまっている。空を見上げても、星の輝きは見えない。",
        "屋内の電気がトラブルで点灯しないようだ。暗い世界は、気分まで滅入ってしまう。",
      ]
      return textFrom1D6Table(title, table)

    when 'BWT'
      title = '대형 예능 프로덕션 업무표'
      table = [
        [11, "오프", ''],
        [12, "선배 아이돌이 사회를 맡는 버라이어티 프로그램에 출연! 어떤 코너를 맡는지?", '趣味分野からランダム'],
        [13, "선배 아이돌과 로드 워킹 프로그램에서 공동 출연. 이 거리에는 무엇이 있는지?", '出身分野からランダム'],
        [14, "선배 아이돌이 음악 프로그램에 출연. 백 댄서를 맡게 되었다", '《댄스／취미9》'],
        [15, "선배 아이돌과 함께 그라비아 촬영. 지지 않게 눈에 띄자.", '《마이페이스／캐릭터4》'],
        [16, "아이돌 소개 프로그램에서 선배 아이돌에게 소개된다. 기운차게 임하자", '《건강／캐릭터8》'],
        [22, "오프", ''],
        [23, "선배 아이돌의 라디오 프로그램에 게스트로 출연. 토크로 잘 북돋을 수 있을까?", '《캐릭터 분야 공백／캐릭터7》'],
        [24, "동기 아이돌들과 함께, 대대적인 에스테틱 세트에 도전!", '《운동신경／재능8》'],
        [25, "특별한 의상으로 실시하는 연극의 일이 왔다. 어떤 의상일까?", 'パートナープレイヤーが修得しているキャラ分野の特技'],
        [26, "프로덕션의 초대형 중진이 출연하는 프로그램에 불린다.", '《담력／재능5》'],
        [33, "오프", ''],
        [34, "씬 플레이어의 캐릭터를 살린 미니 드라마가 제작된다.", '씬 플레이어가 보유한 캐릭터분야의특기'],
        [35, "해외 로케를 하는 프로덕션 내 여행 프로그램 출연. 오늘은 어디까지 갈 건가?", '《해외／출신12》'],
        [36, "프로덕션 내 극장에서 씬 플레이어가 「좋아하는 것」을 사용한 연극이 시작된다.", '씬 플레이어가 보유한 취미분야의특기'],
        [44, "오프", ''],
        [45, "패션 브랜드와 제휴한 패션쇼에 초대된다.", '《멋내기／취미5》'],
        [46, "아이돌 잡지 출판사로부터 취재가 왔다. 잘 대응해야.", '《언행정중／캐릭터10》'],
        [55, "오프", ''],
        [56, "시리즈 드라마에 단역으로 출연!", '《연기력／재능12》'],
        [66, "プロダクション内で総選挙が開始！　今回のテーマは……？", 'ランダム'],
      ]
      return textFromD66Table(title, table)

    when 'LWT'
      title = '약소 예능 프로덕션 업무표'
      table = [
        [11, "오프", ''],
        [12, "파트너 플레이어의 「신체적 특징」에 느낌이 확 온 TV방송국으로부터 섭외가 온다.", '파트너 플레이어가 보유한 신장분야의특기'],
        [13, "스턴트맨이 없는 액션 드라마가 제작 개시! 오디션을 받자.", '《운동신경／재능8》'],
        [14, "가요 프로그램 오디션에 도전! 많은 라이벌 중에 선택되는 것을 목표로 한다!", '《집중력／캐릭터4》'],
        [15, "선술집 영업. 아이돌에 별로 흥미 없을 것 같은 손님 층이지만…….", '《마이페이스／캐릭터4》'],
        [16, "결혼식의 팜플렛 사진을 찍는 촬영. 신부는 어떤 기분일까?", '《스타일／재능3》'],
        [22, "오프", ''],
        [23, "CD 데뷔를 걸고 버라이어티 프로그램에서 다른 아이돌과 대결!", 'キャラ分野からランダム'],
        [24, "CD숍에서, CD를 손수 판매. 잘 부탁 드립니다.", '《건강／캐릭터8》'],
        [25, "로컬 프로그램에 출연. 이 지방에서는 무엇이 유행하고 있지?", '《プレーン／属性7》'],
        [26, "극 조역을 차지하기 위해 오디션을 받는다. 평범한 한 명의 여자아이를 연기하는 것 같다.", '《플레인／속성7》'],
        [33, "오프", ''],
        [34, "파트너 플레이어의 「좋아하는 것」이 소재인 드라마가 제작 중. 오디션을 받자.", '파트너 플레이어가 보유한 속성분야의특기'],
        [35, "파트너 플레이어의 「싫은 것」을 소재로 한 드라마에 섭외가…….", '파트너 플레이어가 보유한 취미분야의특기'],
        [36, "코러스에서 결원이 나온 아이돌 라이브의 보충으로서 선택된다. 주역에게 맞추지 않으면.", '属性分野からランダム'],
        [44, "오프", ''],
        [45, "PC들의 사무소에 리포트 카메라가 들어간다. 작은 곳이지만 힘내고 있습니다!", 'ランダム'],
        [46, "오프", ''],
        [55, "오프", ''],
        [56, "오프", ''],
        [66, "오프", ''],
      ]
      return textFromD66Table(title, table)

    when 'TWT'
      title = '라이브 시어터 업무표'
      table = [
        [11, "오프", ''],
        [12, "시어터 내 드라마를 수록. 테마는 파트너 플레이어의 「좋아하는 것」이다.", '파트너 플레이어가 보유한 속성분야의특기'],
        [13, "시어터 내 판매용 CD를 제작. 테마는 씬 플레이어의 「좋아하는 것」이다.。", '씬 플레이어가 보유한 취미분야의특기'],
        [14, "시어터의 매점에 끌려간다. 직접 손님과 접촉하는 찬스!", '《미소／재능7》'],
        [15, "시어터 내에서 상품을 판매. 지금의 판매되는 유행은 무엇이지?", 'キャラ分野からランダム'],
        [16, "시어터 내에서 악수회를 개최! 와준 모두에게 감사를.", '《배려／재능9》'],
        [22, "오프", ''],
        [23, "이번 극은 씬 플레이어의 【배경】을 바탕으로 한 논픽션 드라마!", '趣味分野からランダム'],
        [24, "시어터를 이용한 버라이어티 기획이 개시되었다. 모두를 웃기자.", '《바보／캐릭터12》'],
        [25, "시어터에 흐르는 미니 라디오를 수록. 맴버의 엉뚱함 다루는 코너가 볼거리", 'キャラ分野からランダム'],
        [26, "시어터에 패션 디자이너를 불러 패션쇼. 잘 매료시켜 나가자.。", '属性分野からランダム'],
        [33, "오프", ''],
        [34, "시어터 기획, 1D6시간 집중 댄스가 시작된다…….", '《체력／재능6》'],
        [35, "시어터 기획, 파트너 플레이어는 「싫은 것」에 몇 번이나 도전할 수 있을까!", '파트너 플레이어가 보유한 취미분야의특기'],
        [36, "시어터 기획, 씬 플레이어 vs 「싫은 것」!", '씬 플레이어가 보유한 캐릭터분야의특기'],
        [44, "오프", ''],
        [45, "시어터 기획, 매우 높은 골을 위해 패스! …… 정말로 할 수 있는 거야?", '《190～／신장12》'],
        [46, "시어터 기획, 동물을 대하는 아이돌의 모습을 중계!", '《펫／취미3》'],
        [55, "오프", ''],
        [56, "극장 밖에서 실시하는 일을 해낸다.", 'ランダム'],
        [66, "오프", ''],
      ]
      return textFromD66Table(title, table)

    when 'CWT'
      title = '아이돌 부 업무표'
      table = [
        [11, "오프", ''],
        [12, "선생님에게 부탁 받고 입학 희망자들의 교내 안내를 맡게 되었다.", '《언행정중／캐릭터10》'],
        [13, "교내 이벤트의 사회 진행을 하게 되었다. 잘 분위기를 북돋울 수 있을까?", '《팝／속성9》'],
        [14, "교내 방송에 출연. 전교생 앞에서 긴장하지 하지 않으려면.。", '《담력／재능5》'],
        [15, "동아리 대회에 응원을 하러 간다. 긴 시합은 체력 승부다.", '《체력／재능6》'],
        [16, "아이돌 부를 취재하는 기자가 왔다. 스스로의 말을 잘할 수 있을까?", '《배려／재능9》'],
        [22, "오프", ''],
        [23, "가까운 유치원에서 노래를 선보이게 되었다. 작은 아이와 시선을 맞추지 않으면…….", '《～125／신장2》'],
        [24, "메이드 카페를 하게 되었다. 파트너 플레이어의 「좋아하는 것」이 주된 메뉴다.", '파트너 플레이어가 보유한 취미분야의특기'],
        [25, "교내의 이벤트를 취재하게 되었다. 거기에는 파트너 플레이어의 「싫은 것」이…….", '파트너 플레이어가 보유한 캐릭터분야의특기'],
        [26, "파트너 플레이어의 「패션 특징」을 살린 교내 패션 쇼.", '파트너 플레이어가 보유한 속성분야의특기'],
        [33, "오프", ''],
        [34, "현지 상가에 가게의 심부름을 의뢰 받는다. 마을을 북돋워 주러 가자.", '《쇼핑／취미8》'],
        [35, "현지 이벤트에 출연. 향토애를 시험 받는다!", '프로듀서가 출신분야의특기를 골라준다'],
        [36, "파트너 플레이어의 「신체적 특징」에 매료된 기업으로부터 섭외가 왔다!", '《섹시／속성4》'],
        [44, "오프", ''],
        [45, "오프", ''],
        [46, "오프", ''],
        [55, "오프", ''],
        [56, "오프", ''],
        [66, "오프", ''],
      ]
      return textFromD66Table(title, table)

    when /^LO(\d{0,2})$/
      value = $1
      title = '로컬 아이돌 업무표'
      table = [
        [11, "오프", ''],
        [12, "오프", ''],
        [13, "握手会をすることになった。遠方から自分たち目当てにやって来るお客さんも多数見える。チャンスが5以下なら오프。", '《아이돌／취미12》'],
        [14, "ミニコンサートが全国放送で小さく紹介される。ちょっとだけ、外見が注目されたみたいだ。チャンスが4以下なら오프。", '《스타일／재능3》'],
        [15, "地元ラジオ局で自分たちの番組が始まる。チャンスが3以下なら오프。", '《캐릭터분야의 공백／취미7》'],
        [16, "地元のテレビ局にゲスト出演。うまく自分たちを紹介できるだろうか？　チャンスが3以下なら오프。", '好きな출신분야의특기'],
        [22, "오프", ''],
        [23, "街頭でティッシュ配りの手伝いをする。미소を忘れずに、がんばろう。", '《미소／재능7》'],
        [24, "地元のお手伝いの一環として、害虫退治に駆り出された。なぜ、こんなことに。", '《담력／재능5》'],
        [25, "畑仕事のお手伝いをすることになった。とりあえず、体力が要求される。", '《체력／재능6》'],
        [26, "ショッピングモールのお手伝いをすることになった。うまくお手伝いができれば、繁盛するかも。", '《쇼핑／취미8》'],
        [33, "오프", ''],
        [34, "インターネットラジオに出演。声とトークで。地域のことを伝えていこう。", '《이국문화／재능2》'],
        [35, "地元のテレビ局の取材が入る。テーマは、地方でがんばっている人たちだ。", '《건강／캐릭터8》'],
        [36, "デパートで風船を配るお手伝い。子どもたち相手のお仕事は、ちょっと大変です。", '《배려／재능9》'],
        [44, "오프", ''],
        [45, "着ぐるみを着て、市民と交流。暑くてつらい仕事だけど、大切な交流の時間です。", '《버닝／속성10》'],
        [46, "観光地の物販コーナーで地元の特産品を売るお手伝い。로컬 아이돌的に、大切なお仕事。", '好きな출신분야의특기'],
        [55, "오프", ''],
        [56, "動画サイトのチャンネルで、自分たちの宣伝を行なうことに。世界中に発信！", '《스타／속성12》'],
        [66, "오프", ''],
      ]
      return textFromD66Table(title, table, value)

    when 'SU'
      title = '정열의 여름 업무표'
      table = [
        [11, "오프", ''],
        [12, "음료수 커머셜(광고). 맛있을 것 같이 마시자.", '《연기력／재능12》'],
        [13, "여름의 퍼레이드의 커머셜. 이번 테마는 파트너 플레이어의 「좋아하는 것」.", '파트너 플레이어가 보유한 취미분야의특기'],
        [14, "해수욕장 커머셜. 보는 사람에게 활기를 나누어 줄 수 있으면 좋겠는데.", '《팝／속성9》'],
        [15, "피서지 커머셜. 시원한 곳에서 느긋하게 보냄을 전해 주도록 하자", '《마이페이스／캐릭터4》'],
        [16, "벌레 퇴치 용품의 커머셜. 벌레를 향한 남자다움이 요구된다.", '《외고집／캐릭터9》'],
        [22, "오프", ''],
        [23, "수족관에서 활기찬 돌고래들과 쇼를 한다.", '《건강／캐릭터8》'],
        [24, "소년야구 시구식을 맡는다. 야구소년들에게 부끄럽지 않은 피칭으로 매료 시키지 않으면. ", '《스포츠／취미4》'],
        [25, "여름 패션을 잡지로 발표하게 되었다. 이 시기의 코디는 이것!", '《멋내기／취미5》'],
        [26, "프로그램에서 여름들판의 나물을 맛있게 먹을 필요성을 느낀다. 여주를 아이돌답게 먹자.", '《오키나와／출신2》'],
        [33, "오프", ''],
        [34, "비치 발리볼 적 아이돌과 대결이다! 여름 더위에 지치지 말자!", '《버닝／속성10》'],
        [35, "비치에서 타 아이돌과 헌팅대결을 하게 되었다. 어느 쪽을 잘 해낼 수 있을까?", '《유순／캐릭터5》'],
        [36, "여름의 음식 특집! 더위 방지를 위해서라도 많이 먹는 곳은 빠져야", '《요리／취미6》'],
        [44, "오프", ''],
        [45, "여름방학의 아이들과 접촉하는 프로그램에 불린다. 아이들 상대도 큰 일이다.", '《배려／재능9》'],
        [46, "여름의 여행 프로그램. 여름에만 가능한 현지의 강점을 몇 가지 있을 것이다.", '씬 플레이어가 보유한 출신분야의특기'],
        [55, "오프", ''],
        [56, "여름이니까 뜨끈뜨끈한 욕실이 난처할 수 있다. 리액션을 찍고 싶은 거 같다.", '《바보／캐릭터12》'],
        [66, "오프", ''],
      ]
      return textFromD66Table(title, table)

    when 'WI'
      title = '온기의 겨울 업무표'
      table = [
        [11, "오프", ''],
        [12, "크리스마스 테마의 커머셜 송을 노래한다. 연인들에게 축복을!", '《패션／속성8》'],
        [13, "스키장의 커머셜 무비를 찍는다. 잘 탈 수 있으면 좋겠다.", '《스포츠／취미4》'],
        [14, "씁쓸한 실연을 테마로 한 커머셜 무비를 찍게 되었다. 쿨하게 가자.", '《쿨／속성11》'],
        [15, "스케이트 링크의 커머셜 무비에 출연. 빙상에서 화려하게 댄스를 하자.", '《댄스／취미9》'],
        [16, "아이스크림의 커머셜 무비에 출현. 추운 것을 참아라!", '《담력／재능5》'],
        [22, "오프", ''],
        [23, "연말 연시에 운행되는 철도 커머셜 무비에 기용된다. 깔끔한 연기가 필요하다.", '《플레인／속성7》'],
        [24, "온천지의 커머셜. 온천에 필요한 것은 역시 섹시함일까?", '《섹시／속성4》'],
        [25, "겨울 패션을 잡지로 소개하게 되었다. 겨울 코디는 이것으로 정한다!", '《멋내기／취미5》'],
        [26, "눈치우기가 큰일임을 알린다, 도호쿠의 눈치우기를 돕는다. 이것은 중노동이다.", '《도호쿠／출신10》'],
        [33, "오프", ''],
        [34, "연말 버라이어티 프로그램에서, 칸사이 연예인과 콩트를 하게 되었다. 말을 맞추자.", '《킨키／출신6》'],
        [35, "연말 페스티벌에 유명 아이돌 들과 공동출연 스타에게 지지 않는 박력을 내자.", '《스타／속성12》'],
        [36, "겨울 홋카이도 음식을 알리기 위해서, 홋카이도로 발 빠르게 가자. 과연, 추위에 견딜 수 있는 것 인가.", '《훗카이도／출신11》'],
        [44, "오프", ''],
        [45, "겨울의 음식 특집. 냄비요리를 만드는 방법을 가르칩니다.", '《요리／취미6》'],
        [46, "발렌타인으로 향하는 여자아이에게 어드바이스.", '《페미닌／속성5》'],
        [55, "오프", ''],
        [56, "겨울이니까 뜨끈뜨끈한 욕실에 찾아본다. 따뜻하다고 할까 뜨겁다!", '《바보／캐릭터12》'],
        [66, "오프", ''],
      ]
      return textFromD66Table(title, table)

    when 'NA'
      title = '대자연 업무표'
      table = [
        [11, "오프", ''],
        [12, "계류에서 낚시 대결! 많이 낚시하는 쪽이 승리!", '《집중력／재능4》'],
        [13, "해안에서 낚시를 한다. 낚은 생선이 맛있는 쪽이 이긴다.", '《담력／재능5》'],
        [14, "곤충채집에 도전. 건강하게 노는 그림을 찍고 싶다.", '《건강／캐릭터8》'],
        [15, "캠프를 하자. 모두 쾌적하게 숙박을 할 수 있도록 하는 배려가 중요.", '《배려／재능9》'],
        [16, "바다 헤엄의 대결. 자신의 페이스를 지키면서 싸우자.", '《마이페이스／캐릭터4》'],
        [22, "오프", ''],
        [23, "숲에서 헌팅 대결! 동물에게 인기 있는 쪽이 승리!", '《펫／취미3》'],
        [24, "숲에서 술래잡기를 하게 되었다. 상대의 움직임을 읽으면 이길 수 있다!", '파트너 플레이어가 보유한 신장분야의특기'],
        [25, "숲 속 동물과의 싸움이 시작되었다. 아니 할 수 밖에 없다.", '《운동신경／재능8》'],
        [26, "오프", ''],
        [33, "오프", ''],
        [34, "요리할 수 있는 남자를 여기서 어필! 반합취사에 도전!", '《요리／취미6》'],
        [35, "등산 대결. 빨리 오르는 것보다도 다치지 않게 조심하고 싶다.", '《체력／재능6》'],
        [36, "땔감 줍기. 수수한 장면이 되어 버리므로 싫증을 나지 않게 하자!", '《캐릭터분야의 공백／캐릭터7》'],
        [44, "오프", ''],
        [45, "시청자들의 기뻐할 이 자리에서만의 이야기를 파트너 플레이어와 이야기 한다.", '파트너 플레이어가 보유한 캐릭터분야의특기'],
        [46, "사소한 일로 파트너 플레이어와 싸움이 났다. 어느 쪽이 강한지 승부다!", '파트너 플레이어가 보유한 재능분야의특기'],
        [55, "오프", ''],
        [56, "드럼통 욕조를 준비하자. ……뜨겁지만!", '《버닝／속성10》'],
        [66, "오프", ''],
      ]
      return textFromD66Table(title, table)

    when 'GA'
      title = '聖デトワール女学園仕事表'
      table = [
        [11, "オフ", ''],
        [12, "オフ", ''],
        [13, "オフ", ''],
        [14, "オフ", ''],
        [15, "オフ", ''],
        [16, "オフ", ''],
        [22, "学園が主催しているアイドル触れ合いイベントに出演。美しく振舞おう。", '《スタイル／才能3》'],
        [23, "学園のアイドルたちが出ているラジオに出演。先輩たちに負けないように、がんばろう。", '《元気／キャラ8》'],
        [24, "学園と提携しているブランドのファッションショーに登場。", '《おしゃれ／趣味5》'],
        [25, "学園を紹介するDVDに出演。うまく魅力を紹介できるかな？", '《気配り／才能9》'],
        [26, "学内オーディションに出場。勝ち抜けば、歌番組に出場できる！", '《胆力／才能5》'],
        [33, "学園が制作しているアイドルドラマに吸血鬼役で出演。恐ろし気な演技、できるかな？", '《オカルト／趣味2》'],
        [34, "学園が制作しているドラマに出演。演技の中で、どうやって個性を出していこうか。", 'キャラ分野からランダム'],
        [35, "学園主催のミニライブに出演。たくさんの出演者の中から、どうやって目立とう。", 'キャラ分野からランダム'],
        [36, "学園の先輩たちと共演するライブイベントに出演。", '《胆力／才能5》'],
        [44, "学園の紹介で、おいしい芋の紹介番組に出演。北海道に出発だ！", '《北海道／出身11》'],
        [45, "学内オーディションで、ポップなCMのイメージガールを決定。戦い抜こう。", '《ポップ／属性9》'],
        [46, "学内のミュージカルに出演することになった。自分たちの実力を舞台の上で発揮しよう。", '《演技力／才能12》'],
        [55, "市内の店舗を手伝うドキュメンタリー番組を撮ることに。お店を手伝おう。", '《物腰丁寧／キャラ10》'],
        [56, "市内のスタジオで収録されている朝の情報番組に出演。朝から元気に行こう。", '《元気／キャラ8》'],
        [66, "裏山を使った簡単なPV撮影！　山での撮影は体力が要求される。", '《体力／才能6》'],
      ]
      return textFromD66Table(title, table)

    when 'BA'
      title = 'アカデミー仕事表'
      table = [
        [11, "オフ", ''],
        [12, "オフ", ''],
        [13, "オフ", ''],
        [14, "オフ", ''],
        [15, "オフ", ''],
        [16, "オフ", ''],
        [22, "アカデミーの中でも、特に優秀な成績を収めた者を表彰する式が開催される。", '《スター／属性12》'],
        [23, "アカデミー主催の音楽祭に出演。楽器を演奏して、その姿で魅せよう。", '《音楽／趣味11》'],
        [24, "アカデミーが製作しているドラマに出演。脇役だけど、しっかりと存在感を出していこう。", '《演技力／才能12》'],
        [25, "番組の企画で、アカデミー生のアクションを見せることになった。", '《運動神経／才能9》'],
        [26, "番組の1コーナーで、アカデミー生が様々なスポーツに挑戦する必要があるらしい。がんばろう。", '《スポーツ／趣味4》'],
        [33, "先輩と一緒にバラエティ番組に出演。面白いリアクションを期待される。", '《ばか／キャラ10》'],
        [34, "先輩のライブでバックコーラスに参加。美しい声を添えよう。", '《音楽／趣味11》'],
        [35, "先輩のライブでバックダンサーとして出演。ダイナミックな演出に負けないようにしよう。", '《ダンス／趣味9》'],
        [36, "先輩が主演を務めているアニメ映画に脇役の声優として出演。光る演技を見せよう。", '《演技力／才能12》'],
        [44, "同級生と一緒に、漫画作品をモデルにしたミュージカルに出演。熱い気合を求められる。", '《バーニング／属性10》'],
        [45, "同級生と一緒にキャラ付けの強いビジュアル系バンドを組んで、試験のステージで発表。", 'キャラ分野からランダム'],
        [46, "同級生とファッションを競い合う、セルフプロデュース試験が始まる。", '《おしゃれ／趣味5》'],
        [55, "一般教養の試験が始まる。恐ろしいことに、その様子を生中継するらしい。", '《学力／才能10》'],
        [56, "アイドルの歴史を使った、クイズ試験が始まる。", '《アイドル／趣味12》'],
        [66, "試験のテーマは耽美。セクシーさを仲間と競い合おう。", '《セクシー／属性4》'],
      ]
      return textFromD66Table(title, table)

    when 'WT'
      title = '업무표'
      table = [
        [11, "오프", ''],
        [12, "악수회가 시작된다. 아이돌로서는 중요한 순간, 집중하자.", '《아이돌／취미12》'],
        [13, "파트너 플레이어의 「싫은 것」 에 대해 취재를 하게 되었다. 괜찮을까……?", '파트너 플레이어가 보유한 취미분야의특기'],
        [14, "씬 플레이어의 「좋아하는 것」에 관한 프로그램 일이다! 텐션 오른다.", '씬 플레이어가 보유한 취미분야의특기'],
        [15, "파트너 플레이어의 「패션 특징」을 살리는 일이 왔다. 파트너.", '파트너 플레이어가 보유한 속성분야의특기'],
        [16, "클라이언트로부터 파트너 플레이어의 「개성특기」를 헤아려 보자고 제안 받는다.", '파트너 플레이어의 개성특기'],
        [22, "오프", ''],
        [23, "학원 드라마를 촬영! 둘의 캐릭터는 어떻게 될까?", 'キャラ分野からランダム'],
        [24, "드라마 액션씬을 찍게 되었다. 콤비네이션으로 헤쳐나가자!", '身長分野からランダム'],
        [25, "감동계열의 드라마에 출연. 어떤 능력이 필요하게 될까?", '才能分野からランダム'],
        [26, "취미 프로그램에 출연. 이런 세계가 있는 것인가…….", '趣味分野からランダム'],
        [33, "오프", ''],
        [34, "아이돌이 우글거리는 버라이어티 프로그램에 참전! 어느 아이돌보다 높은 점수를 받아야 할 것 같다!", '《바보／캐릭터12》'],
        [35, "스포츠 프로그램을 떠들썩하게 하기 위해 불려졌다! 스포츠에 대해서 압니까?", '《스포츠／취미4》'],
        [36, "퀴즈 프로그램. 둘이서 게스트로 출연. 힘을 합쳐 이겨낼지, 그렇지 않으면 자신다움을 중시해야 할까…….", '《학력／재능10》'],
        [44, "오프", ''],
        [45, "요리프로그램에 출현. 어떤 요리를 만들까?", '《요리／취미8》'],
        [46, "CD샵에서 사인회를 개최. 팬을 기쁘게 할 수 있을까? ", '《배려／재능9》'],
        [55, "오프", ''],
        [56, "둘에게 그라비아 촬영 일이 왔다. 좋은 스타일로 매료 시킬 찬스?", '《스타일／재능3》'],
        [66, "오프", ''],
      ]
      return textFromD66Table(title, table)

    when 'VA'
      title = '버라이어티 업무표'
      table = [
        [11, "오프", ''],
        [12, "먹는 것에 관한 리포트를 하는 프로그램에 출연. 어떻게 해야 맛을 잘 표현할 수 있을까?", '《요리／취미6》'],
        [13, "스포츠를 하는 프로그램에 출연. 얼마나 활약할 수 있을 지 시험 받는다.", '《스포츠／취미4》'],
        [14, "토크 프로그램에 출연. 두 명의 말할 때 잘 이끌어 줄 수 있을까?", '《배려／재능9》'],
        [15, "맹수의 우리에게 들어가 볼 놀이를 한다. 담력이 중요!", '《담력／재능5》'],
        [16, "파트너 플레이어의 「좋아하는 것」를 소재로 한 프로그램을 맡았다.", '파트너 플레이어가 보유한  	취미분야의특기'],
        [22, "오프", ''],
        [23, "거리는 걷는 프로그램에 출연. 경쾌한 토크로 일반인들을 상대로 능숙하게 말을 걸어보자", '《유순／캐릭터5》'],
        [24, "낚시 프로그램에 나오게 되었지만, 거물을 낚을 때까지는 돌아갈 수 없다고 한다. 그런데 움직임의 적은 낚시로 어떻게 눈에 띌까?", '《캐릭터분야의 공백／캐릭터7》'],
        [25, "파트너 플레이어의 「좋아하는 것」를 소재로 한 프로그램 코너로, 장난 치는 역을 맡게 되었다.", '파트너 플레이어가 보유한 캐릭터분야의특기'],
        [26, "퀴즈 프로그램에 출현. 문제를 어떻게 맞추는지 그것이 중요하다.", '《학력／재능10》'],
        [33, "오프", ''],
        [34, "농사일 체험 프로그램에 출연. 괭이를 가지고 밭으로 가자.", '《체력／재능6》'],
        [35, "공작 체험 프로그램에 출연. 좋은걸 스튜디오에 전달할 수 있도록 물건 만들기를 진지하게 실시하자.", '《집중력／재능4》'],
        [36, "전자게임이나 아날로그게임을 플레이 하는 프로그램에 출연. 어떤 식으로 북돋울 수 있을까?", '《게임／취미10》'],
        [44, "오프", ''],
        [45, "오늘은 만담을 하는 것 같다. 웃기려면 무엇이 필요할 것 일까?", '《바보／캐릭터12》'],
        [46, "시츄에이션 코너에 출현. 거창한 연기가 요구 된다.", '《연기력／재능12》'],
        [55, "오프", ''],
        [56, "취미에 관한 프로그램에 나오게 되었다. 오늘의 테마는 무엇이지. ", '《취미분야의 공백／취미7》'],
        [66, "오프", ''],
      ]
      return textFromD66Table(title, table)

    when 'MU'
      title = '음악 관련 업무표'
      table = [
        [11, "오프", ''],
        [12, "씬 플레이어와 파트너 플레이어가 미니라이브를 하게 되었다. 서로 소리를 잘 맞추어 보도록 하자.", '파트너 플레이어가 보유한속성분야의특기'],
        [13, "가요 프로그램에서 다루어진다. 어떤 기분으로 노래했는지 잘 표현해 전하자.", '《패션／속성8》'],
        [14, "파트너 플레이어와 하모니를 거듭하는 노래가 왔다. 둘의 특징을 목소리에 잘 실리도록 하자.", '파트너 플레이어가 보유한재능분야의특기'],
        [15, "CD를 손수 전하는 판매를 개시. 마음을 담아 웃는 얼굴로 손수 전하자.", '《미소／재능7》'],
        [16, "레코딩 음악 업계의 거물이 입회한다. 긴장하지 말고 자신의 실력을 발휘하자. ", '《담력／재능5》'],
        [22, "오프", ''],
        [23, "파트너 플레이어하고 서로 이야기하며 가사를 만드는 것에 집중한다. 서로를 잘 이해하도록 하자,", '파트너 플레이어가 보유한캐릭터분야의특기'],
        [24, "활동 범위를 넓히기 위해 다양한 악기에 도전!", '《음악／취미11》'],
        [25, "고급스런 바에서 노래하는 것. 고급감이 있는 패션을 몸에 익히는 것을 조건으로 노래하는 것이 용서된다.", '《기품／재능11》'],
        [26, "중학생이 타겟으로 CD를 판매하게 되었다. 마음 속의 중학생을 해방할 때가 왔다!", '《중2병／캐릭터2》'],
        [33, "오프", ''],
        [34, "어린이용의 노래를 만들게 되었다. 시선을 아이에게 맞추지 않으면. ", '《～125／신장2》'],
        [35, "결혼식의 노래를 맡는다. 축복의 기분을 담아 노래하자.", '《배려／재능9》'],
        [36, "레이스를 북돋우는 업 템포인 곡을 만드는 것이다.", '《건강／캐릭터8》'],
        [44, "오프", ''],
        [45, "파트너 플레이어의 현지를 상징하는 노래를 만들게 되었다. 현지의 이야기를 듣기 시작하자.", '파트너 플레이어가 보유한출신분야의특기'],
        [46, "호러 무비의 주제가를 담당하게 된, 무서움을 소리로 표현할 수 있을까?", '《오컬트／취미2》'],
        [55, "오프", ''],
        [56, "작곡자 선생님과의 회의. 자신의 이미지를 잘 전달해 줄 수 있을까?", '《언행정중／캐릭터10》'],
        [66, "오프", ''],
      ]
      return textFromD66Table(title, table)

    when 'DR'
      title = '드라마 관련 업무표'
      table = [
        [11, "오프", ''],
        [12, "엑스트라로 출연. 가능한 한 눈에 띄지 않게 하자.", '《플레인／속성7》'],
        [13, "형사 드라마에 형사 역으로 출연. 쿨하게 하자.", '《쿨／속성11》'],
        [14, "형사 드라마에 범인 역으로 출연. 나쁜 것을 강조하는 연기가 필요하다.", '《ミステリアス／캐릭터3》'],
        [15, "의료 드라마에 의사 역으로 출연. 장기나 피 등에도 꿋꿋하게 힘내자.", '《담력／재능5》'],
        [16, "재현 애니메이션의 더빙에 도전. 가능한 한 정중하게.", '《언행정중／캐릭터10》'],
        [22, "오프", ''],
        [23, "악역에 도전. 어두운 기분이 필요하다.", '《다크／속성3》'],
        [24, "학원 드라마에 고뇌하는 학생 역으로 출연. 청춘인 것 같음을 어디까지 보여야?", '《중2병／캐릭터2》'],
        [25, "시대극에 출연. 강경파가 된 씬의 차례가 왔다.", '《외고집／캐릭터9》'],
        [26, "특수 촬영에 히어로 역으로 출연. 뜨거운 연기를 보일 때!", '《버닝／속성10》'],
        [33, "오프", ''],
        [34, "출연진 중에 초유명인이! 긴장하지 말고 힘내자.", '《마이페이스／캐릭터4》'],
        [35, "까다로운 감독에게 여러 가지 주의를 받는다. 어떻게 대응해 할 것인가", '《스타／속성12》'],
        [36, "파트너 플레이어의 [배경]을 재현한 미니 드라마를 찍는 것 같다. 그의 과거를 어떻게 표현할 것 인가.", '파트너 플레이어가 보유한속성분야의특기'],
        [44, "오프", ''],
        [45, "액션 드라마에 출연. 액션 씬을 잘 할 수 있을 지가 키 포인트다.", '《운동신경／재능8》'],
        [46, "연애 드라마에 출연. 출연진를 두근두근 시키는 연기가 필요라는 것.", '《섹시／속성4》'],
        [55, "오프", ''],
        [56, "감동계 드라마에 출연. 우는 씬이 여기의 제일 볼만한 장면이다!", '《연기력／재능12》'],
        [66, "오프", ''],
      ]
      return textFromD66Table(title, table)

    when 'VI'
      title = '비주얼 관련 업무표'
      table = [
        [11, "오프", ''],
        [12, "비치에서 그라비아 촬영의 일이 생긴다. 육체미를 보여주어야.", '《섹시／속성4》'],
        [13, "패션잡지의 취재가 오고, 자신다운 패션을 보이면 좋겠다고 부탁받는다. ", '《캐릭터분야의 공백／캐릭터7》'],
        [14, "지방마다의 패션을 도입하는 패션 쇼가 개막. 출연하게 되었다.", '出身分野からランダム'],
        [15, "패션 쇼에 모델로 등장. 완벽한 스타일을 과시해라.", '《스타일／재능3》'],
        [16, "잡지로 씬 플레이어 추천 코디를 소개한다. 어떤 조합을 소개 할까?", '《멋내기／취미5》'],
        [22, "오프", ''],
        [23, "파트너 플레이어의 「신체적 특징」이 약간 유행이 되었다. 이 빅 웨이브에 편승하려면", '파트너 플레이어가 보유한 신장분야의특기'],
        [24, "심야 프로그램 코너에, 씬 플레이어의 「신체적 특징」 특집이 짜여 지는 것 같다.그것을 나타내야한다.", '씬 플레이어가 보유한 신장분야의특기'],
        [25, "뉴스 프로그램 코너에서, 파트너 플레이어의 「패션 특징」이 소개된다. 잘 어시스트 하자.", '파트너 플레이어가 보유한 신장분야의특기'],
        [26, "씬 플레이어의 「패션 특징」을 팔고 있는 기업으로부터 CM에 대해 부탁 받는다.", '씬 플레이어가 보유한 속성분야의특기'],
        [33, "오프", ''],
        [34, "여성의 패션에 대해 말하는 프로그램에 출연.", '《페미닌／속성5》'],
        [35, "높은 신장 전용의 의상이 입게 된다. 이것을 입고 잘 나타낼 수 있으려나?", '《190～／신장12》'],
        [36, "TV프로에서 애니메이션 캐릭의 코스프레를 한다. 자신답게 결정 포즈.", '《취미분야의 공백／취미7》'],
        [44, "오프", ''],
        [45, "작은 신장을 위한 코디를 만든 디자이너로부터 연락이 들어온다. 그것을 보기 좋고 맵시 있게 입었으면 좋다는 것 같다.", '《146／신장6》'],
        [46, "아이와 공동으로 출연하는 CM를 찍게 되었다. 아이의 귀여운 패션을 생각하자.", '《～125／신장2》'],
        [55, "오프", ''],
        [56, "파트너 플레이어의 선전용 촬영의 코디를 하게 되었다. 그런데 어떻게 해야?", '파트너 플레이어가 보유한 신장분야의특기'],
        [66, "오프", ''],
      ]
      return textFromD66Table(title, table)

    when 'SP'
      title = '스포츠 업무표'
      table = [
        [11, "오프", ''],
        [12, "오프", ''],
        [13, "오프", ''],
        [14, "오프", ''],
        [15, "오프", ''],
        [16, "오프", ''],
        [22, "マラソン大会に参加することになった。とにかく、走ろう。", '《체력／재능6》'],
        [23, "サッカー選手たちにインタビュー！　サッカーの魅力を聞き出そう。", '《스포츠／취미4》'],
        [24, "野球の始球式をすることになった。自分らしく、캐릭터クターを前面に出して投げるのがコツ。", '《캐릭터분야의 공백／캐릭터7》'],
        [25, "バスケットボールを体験！　その魅力を伝えよう。", '《스포츠／취미4》'],
        [26, "ラグビーのパワフルさを間近で体験。見ている人たちにも迫力を伝えないと。", '《스포츠／취미4》'],
        [33, "アメフトのハーフタイムショーの短い時間を任される。集中して魅力を出し切ろう。", '《집중력／재능4》'],
        [34, "チアリーディング（男性アイドルは応援団）で스포츠選手たちの応援をすることに。みんながんばれ！", '《キュート／속성6》'],
        [35, "陸上競技を一通り体験！　それぞれの種目の見どころを発信しよう。", '《운동신경／재능8》'],
        [36, "水泳をする仕事がやってきた。競泳水着をカッコよく着こなそう。", '《쿨／속성11》'],
        [44, "스포츠ドリンクのCMだ。「生き返る」感じを出していこう。", '《패션／속성8》'],
        [45, "運動靴のCM。パートナープレイヤーを力強く追い抜いて、速くなれることをアピール！", '《버닝／속성10》'],
        [46, "ジャージや体操服のCMが入ってきた。うまく着こなして、運動着も멋내기なことを証明しよう。", '《멋내기／취미5》'],
        [55, "近々開催される大会の応援団長を任された。出場する選手たちにエールを送ろう！", '《건강／캐릭터8》'],
        [56, "テニスの試合をパートナープレイヤーとやることになった。ダブルスでいこう。", '파트너 플레이어가 보유한 속성분야의특기'],
        [66, "ゴルフコースを回りながら、プロから手ほどきを受けることに。丁寧な言葉遣いで、大人っぽく振舞おう。", '《언행정중／캐릭터10》'],
      ]
      return textFromD66Table(title, table)

    when 'CHR'
      title = 'クリスマス 업무표'
      table = [
        [11, "오프", ''],
        [12, "오프", ''],
        [13, "오프", ''],
        [14, "오프", ''],
        [15, "오프", ''],
        [16, "오프", ''],
        [22, "雪の積もる野外コンサートホールでミニライブ。苛酷な環境だけど、耐え抜かないと。", '《체력／재능6》'],
        [23, "ラジオの公開録音中に、クリスマスケーキ作りにチャレンジすることになった。うまく作れるかな？", '《요리／취미6》'],
        [24, "アイドルが提案するクリスマスデート用のファッションを雑誌で紹介。勝てるコーデを考えてみよう。", '《멋내기／취미5》'],
        [25, "ケーキ屋さんと提携して、クリスマスケーキの売り込みをすることに。", '《쇼핑／취미8》'],
        [26, "地元の中学校のクリスマスイベントに登場。学生のみんなと一緒に盛り上がろう。", '《패션／속성8》'],
        [33, "クリスマスに放映される特別ドラマにパートナープレイヤーの恋人役で出演。恋愛をうまく演じられるかな？", '《연기력／재능12》'],
        [34, "トークバラエティのクリスマス特番に呼ばれて収録を始める。本日のテーマは、「恋」について。", '《유순／캐릭터5》'],
        [35, "ラジオ番組で、家族と過ごすクリスマスの思い出について語ることになった。", '《이국문화／재능2》'],
        [36, "セクシーサンタグランプリというファッション大会に出ることになった。セクシーアイドルたちと対決だ！", '《섹시／속성4》'],
        [44, "遊園地で行われるクリスマスイベントのCMを撮影することになった。楽しそうな미소を見せよう。", '《미소／재능7》'],
        [45, "サンタクロースの格好をして、小学生たちにプレゼントを配ることになった。오프ァーはかわいさ重視！", '《キュート／속성6》'],
        [46, "サンタクロースの格好をして、街でイベントをすることに。異国っぽさをうまく出せるかな？", '《해외／출신12》'],
        [55, "クリスマスをテーマにした写真集が発売。そのうちの何枚かを担当することに。", '《스타일／재능3》'],
        [56, "新人アイドルたちが歌うクリスマスソングを収めたカバーアルバムが発売。自分たちも収録されています。", '《음악／취미11》'],
        [66, "アイドルとデートをした気分になれるDVDが発売。自分たちも、クリスマス編の収録を行った。", '《아이돌／취미12》'],
      ]
      return textFromD66Table(title, table)

    when 'PAR'
      title = 'パートナー関係 업무표'
      table = [
        [11, "오프", ''],
        [12, "오프", ''],
        [13, "오프", ''],
        [14, "오프", ''],
        [15, "오프", ''],
        [16, "오프", ''],
        [22, "パートナープレイヤーの【背景】に関する仕事がやって来る。こいつは何を見てきたんだ？", '파트너 플레이어의 개성특기'],
        [23, "パートナープレイヤーの「好きなもの」に関する仕事がやって来る。場を盛り上げていこう。", '파트너 플레이어가 보유한 취미분야의특기'],
        [24, "パートナープレイヤーの「嫌いなもの」に関する仕事がやって来る。どうフォローしたものか。", '파트너 플레이어가 보유한 캐릭터분야의특기'],
        [25, "パートナープレイヤーの「身体的特徴」に関する仕事がやって来る。どこがいいのかを聞いてみる。", '파트너 플레이어가 보유한 속성분야의특기'],
        [26, "パートナープレイヤーの「ファッション特徴」に関する仕事がやって来る。自分も真似をすることに。", '파트너 플레이어가 보유한 신장분야의특기'],
        [33, "파트너 플레이어의 개성특기に関する仕事がやって来る。合わせてみよう。", '파트너 플레이어의 개성특기'],
        [34, "パートナープレイヤーの「身体的特徴」に関する仕事がやって来る。どこがいいのかを聞いてみる。", '파트너 플레이어가 보유한 속성분야의특기'],
        [35, "파트너 플레이어가 보유한 속성분야의특기に関する仕事がやって来る。", '파트너 플레이어가 보유한 속성분야의특기'],
        [36, "파트너 플레이어가 보유한 캐릭터분야의특기に関する仕事がやって来る。", '파트너 플레이어가 보유한 캐릭터분야의특기'],
        [44, "씬 플레이어의【背景】を振り返らせるような仕事がやって来た。今はアイドルとしてそれをこなそう。", '씬 플레이어의個性特技'],
        [45, "파트너 플레이어가 보유한 취미분야의특기に関する仕事がやって来る。", '파트너 플레이어가 보유한 취미분야의특기'],
        [46, "파트너 플레이어가 보유한 출신분야의특기に関する仕事がやって来る。", '파트너 플레이어가 보유한 출신분야의특기'],
        [55, "씬 플레이어의個性特技に関する仕事がやって来る。今こそ見せ場だ！", '씬 플레이어의個性特技'],
        [56, "파트너 플레이어가 보유한 재능분야의특기に関する仕事がやって来る。", '파트너 플레이어가 보유한 재능분야의특기'],
        [66, "씬 플레이어의「好きなもの」に関する仕事がやって来る。やったぜ！", '씬 플레이어의個性特技'],
      ]
      return textFromD66Table(title, table)

    when 'SW'
      title = 'お菓子仕事表'
      table = [
        [11, "オフ", ''],
        [12, "オフ", ''],
        [13, "オフ", ''],
        [14, "オフ", ''],
        [15, "オフ", ''],
        [16, "オフ", ''],
        [22, "おいし過ぎて止まらない様子を描く、ふわふわなお菓子のCMを行う。", '《ポップ／属性9》'],
        [23, "苦い恋模様を描く、ビターチョコレートのCM撮影を行う。", '《ダーク／属性3》'],
        [24, "甘い恋模様を描く、甘いチョコレートのCM撮影を行う。", '《キュート／属性6》'],
        [25, "家でポリポリ食べているところを描く、スナック菓子のCMを行う。", '《プレーン／属性7》'],
        [26, "青春の汗を流す様子を描く、甘い飲料水のCMを行う。", '《バーニング／属性10》'],
        [33, "チョコレートを食べて脳細胞を活性化させる探偵のドラマに出演する。", '《集中力／才能4》'],
        [34, "朝のシリアルを食べて元気いっぱいな様子を描く、CM撮影を行う。", '《元気／キャラ8》'],
        [35, "眠いときに目がすっきりと覚める様子を描く、刺激の強いお菓子のCM撮影を行う。", '《パッション／属性8》'],
        [36, "一本で栄養補給ができる様子を描く、健康補助食品なお菓子のCM撮影を行う。", '《クール／属性11》'],
        [44, "地元にある駄菓子屋さんのプロモーションを手伝う。", '《ショッピング／趣味8》'],
        [45, "料理番組で、市販のお菓子を使った新しいおやつの開発を任される。", '《料理／趣味6》'],
        [46, "お菓子の家を再現したアトラクション施設を宣伝する。", '《フェミニン／属性5》'],
        [55, "情報番組の1コーナーで、お勧めのケーキを紹介する。", '《料理／趣味6》'],
        [56, "お菓子をテーマにした、夢いっぱいの遊園地の宣伝を行う。", '《笑顔／才能7》'],
        [66, "チョコレートを使ったグラビア撮影をすることになる。", '《スタイル／才能3》'],
      ]
      return textFromD66Table(title, table)

    when 'AN'
      title = '動物仕事表'
      table = [
        [11, "オフ", ''],
        [12, "オフ", ''],
        [13, "オフ", ''],
        [14, "オフ", ''],
        [15, "オフ", ''],
        [16, "オフ", ''],
        [22, "ライオンの檻に、餌を届ける仕事がやって来る。勇気を出して踏み込もう。", '《胆力／才能5》'],
        [23, "ハムスターと戯れる絵を作る。", '《ペット／趣味4》'],
        [24, "牛の乳しぼり体験を動画にしよう。", '《集中力／才能4》'],
        [25, "かわいい猫の動画を撮るために、きまぐれな猫の機嫌をとりにいく。", '《ペット／趣味4》'],
        [26, "犬の散歩シーンを撮るためにも、犬と信頼関係を作る。", '《ペット／趣味4》'],
        [33, "公園の鳩に餌をあげるシーンの手伝いをする。", '《マイペース／キャラ4》'],
        [34, "象の上に乗って、コメントを述べる仕事。", '《エスニック／属性2》'],
        [35, "ぬるぬるしたどじょうを手づかみする絵を要求される。", '《セクシー／属性4》'],
        [36, "ウサギをなでる絵を作る仕事がやって来る。不安そうなウサギを安心させよう。", '《ペット／趣味4》'],
        [44, "奈良の鹿に餌をあげるドラマに出演。", '《近畿地方／出身6》'],
        [45, "馬に乗って、競馬場を駆ける映像を撮ることに。うまく乗りこなそう。", '《セレブ／才能11》'],
        [46, "水族館でペンギンたちと一緒に遊ぶシーンを撮影。", '《キュート／属性6》'],
        [55, "蛇を手づかみする番組企画が入る。", '《胆力／才能5》'],
        [56, "海に入って、魚や貝を見つける企画をすることになった。", '《元気／キャラ8》'],
        [66, "山奥で歩き回って、色々な昆虫を見つける仕事を行う。", '《体力／才能6》'],
      ]
      return textFromD66Table(title, table)

    when 'MOV'
      title = '映画仕事表'
      table = [
        [11, "オフ", ''],
        [12, "オフ", ''],
        [13, "オフ", ''],
        [14, "オフ", ''],
        [15, "オフ", ''],
        [16, "オフ", ''],
        [22, "ゾンビ映画にゾンビ役で出演。動く死体らしい演技を心がけよう。", '《ダーク／属性3》'],
        [23, "時代劇映画にサムライ役で出演。厚い忠義を見せよう。", '《硬派／キャラ9》'],
        [24, "西部劇映画にガンマン役で出演。静かに熱い役を演じよう。", '《バーニング／属性10》'],
        [25, "SF映画に未来のエンジニア役で出演。難しい言葉をクールに言い放とう。", '《クール／属性11》'],
        [26, "カンフー映画に若き拳法家役で出演。激しいアクションで敵と戦おう。", '《運動神経／才能8》'],
        [33, "恋愛映画に当て馬役として出演。フラれたあとに感情的になる演技が大事。", '《演技力／才能12》'],
        [34, "現代劇に中学二年生役として出演。現代の若者を演技で表現しよう。", '《中二病／キャラ2》'],
        [35, "特撮ヒーローにヒーロー役として出演。スーツアクターのアクションに、アフレコで魂を載せよう。", '《演技力／才能12》'],
        [36, "ホラー映画に主役として出演。悲鳴や動きで怖がっているところを見せよう。", '《ダーク／属性3》'],
        [44, "インド映画にダンサーとして出演。情熱的な踊りで映画を盛り上げよう。", '《ダンス／趣味9》'],
        [45, "ミステリー映画の犯人役として出演。怪しげな演技で人々を魅了しよう。", '《ミステリアス／キャラ3》'],
        [46, "戦争映画に出演。哀しみの叫びを上げよう。", '《演技力／才能12》'],
        [55, "ちょっとしたお色気シーンを撮ることに。", '《セクシー／属性4》'],
        [56, "ドキュメンタリー映画で、過去の偉人を演じることに。その人の一生をトレースしよう。", '《演技力／才能12》'],
        [66, "おバカな映画に、突き抜けたバカ役として出演。バカになれ！", '《ばか／キャラ12》'],
      ]
      return textFromD66Table(title, table)

    when 'FA'
      title = 'ファンタジー仕事表'
      table = [
        [11, "オフ", ''],
        [12, "オフ", ''],
        [13, "オフ", ''],
        [14, "オフ", ''],
        [15, "オフ", ''],
        [16, "オフ", ''],
        [22, "ドラゴンと対峙しても、引かない勇気を見せるシーン。", '《胆力／才能5》'],
        [23, "怪物の群れを魔法で一掃するシーン。", '《ポップ／属性9》'],
        [24, "剣を使って街を荒らす盗賊たちを成敗するシーン。", '《硬派／キャラ9》'],
        [25, "斧を振るって、動く植物を破壊するシーン。", '《体力／才能6》'],
        [26, "仲間と一緒に槍で突いて、敵の兵士を追い返すシーン。", '《気配り／才能9》'],
        [33, "歌と踊りでファンタジーの住民たちを惹きつけるシーン。", '《音楽／趣味11》'],
        [34, "酒場で芸を披露して、人気者になるシーン。", '《軟派／キャラ5》'],
        [35, "無実の罪でとらえられ、牢屋から脱出するシーン。", '《ミステリアス／キャラ3》'],
        [36, "突然現れた魔物の群れに襲われるシーン。", '《どじ／キャラ11》'],
        [44, "巨大な魔物に、みんなで立ち向かっていくシーン。", '《気配り／才能9》'],
        [45, "悪の魔法使いによって、呪いをかけられるシーン。", '《ダーク／属性3》'],
        [46, "新しい武器と防具を調達して、着こなすシーン。", '《おしゃれ／趣味5》'],
        [55, "一面の草原を駆け抜けるシーン。", '《元気／キャラ8》'],
        [56, "疲れている王様を元気づけてあげるシーン。", '《パッション／属性8》'],
        [66, "空を駆ける不思議な船に乗って、感動するシーン。", '《笑顔／才能7》'],
      ]
      return textFromD66Table(title, table)

    when 'HA'
      title = 'ハプニング表'
      table = [
        [11, "ハプニングなし", ''],
        [12, "ハプニングなし", ''],
        [13, "ハプニングなし", ''],
        [14, "ハプニングなし", ''],
        [15, "ハプニングなし", ''],
        [16, "ハプニングなし", ''],
        [22, "パートナープレイヤーに、地方からオファーが来た。その土地独特の文化を学んで、パートナープレイヤーに伝えよう。", 'AT6'],
        [23, "グラビア撮影だが、用意された衣装のサイズがパートナープレイヤーに合わなかった。何とかして、衣装を合わせなければいけない。", 'パートナープレイヤーが修得している身長分野の特技'],
        [24, "ダンス撮影中。パートナープレイヤーのダンスに迷いが見えた。何かアドバイスをして、迷いを取り払いたい。", '《ダンス／趣味9》'],
        [25, "歌の仕事だが、パートナープレイヤーの歌がどこかぎこちない。うまく本来の歌を取り戻させよう。", 'パートナープレイヤーが修得している属性分野の特技'],
        [26, "体力を消費する仕事の最中に、パートナープレイヤーが倒れてしまった！　急いで処置をしなければ！", '《気配り／才能9》'],
        [33, "パートナープレイヤーにマイナースポーツのCMが回ってきたが、知らない様子だ。ルールを教えよう。", '《スポーツ／趣味4》'],
        [34, "パートナープレイヤーのキャラに合わない仕事が舞い込んだ。演技力で乗り切ってほしい。", '《演技力／才能12》'],
        [35, "パートナープレイヤーが風邪をひいてしまう。次の仕事までに、なんとか治してもらわなければ。", '《元気／キャラ8》'],
        [36, "パートナープレイヤーの属性らしくない衣装が来てしまった。うまくアレンジできればいいけど。", '《おしゃれ／趣味5》'],
        [44, "パートナープレイヤーのテンションが低い。テンションを上げるようなことを言おう。", '《バーニング／属性10》'],
        [45, "パートナープレイヤーの仕事に必要な小道具が足りなくなった。調達しよう。", '《ショッピング／趣味8》'],
        [46, "パートナープレイヤーに外国から仕事が舞い込んできた。外国の文化に合わせた仕事をしなければ。", '《異国文化／才能2》'],
        [55, "パートナープレイヤーに大会社からの仕事のオファーがやって来る。プレッシャーに負けないように後押ししよう。", '《胆力／才能5》'],
        [56, "パートナープレイヤーと他のアイドルグループとのコラボイベントが行われる。そのアイドルの情報を集めてこよう。", '《アイドル／趣味12》'],
        [66, "パートナープレイヤーの周りで、幽霊騒ぎが起こる。安心させるためにも、調査に乗り出そう。", '《オカルト／趣味2》'],
      ]
      return textFromD66Table(title, table)

    when /^AT([1-6]?)$/
      value = $1.to_i
      return getSkillList(value)

    when 'LUR'
      title = '로컬 아이돌 엉망진창표'
      table1 = [
        "地元の商店街で",
        "マスコット캐릭터クターと",
        "地元のプールで",
        "地元の小学校で",
        "地元のショッピングモールで",
        "田んぼの真ん中で",
      ]
      table2 = [
        "愛について叫ぶ",
        "民謡を歌う",
        "ファッションショー",
        "水着で宣伝",
        "ネット配信",
        "お祭り騒ぎ",
      ]
      return textFrom1D6Table(title, table1, table2)

    when 'SUR'
      title = '정열의 여름 엉망진창표'
      table1 = [
        "해수욕장에서",
        "훌륭한 사람의 앞에서",
        "그 유명 아이돌의 앞에서",
        "동료 앞에서",
        "카메라 앞에서",
        "일반관객 앞에서",
      ]
      table2 = [
        "빙수를 단번에 먹는다",
        "헌팅",
        "수박을 깬다.",
        "멋진 포즈",
        "만면에 미소",
        "싸움의 행세",
      ]
      return textFrom1D6Table(title, table1, table2)

    when 'WUR'
      title = '온기의 겨울 엉망진창표'
      table1 = [
        "크리스마스 트리 앞에서",
        "아이들 앞에서",
        "폭설 속에서",
        "눈 내리기 시작한 거리에서",
        "따뜻한 방 안에서",
        "난방이 너무 지나친 방에서",
      ]
      table2 = [
        "눈 치우기",
        "아이스크림를 먹는다.",
        "얇게 입고 등장.",
        "노래를 불러 주세요.",
        "산타 코스프레",
        "오뎅을 서둘러 먹는다.",
      ]
      return textFrom1D6Table(title, table1, table2)

    when 'NUR'
      title = '대자연 엉망진창표'
      table1 = [
        "도끼를 가지고",
        "괭이를 가지고",
        "낚시대를 가지고",
        "포충망를 가지고",
        "영양 드링크 선전을 하면서",
        "생명 줄을 달고서",
      ]
      table2 = [
        "나무를 넘어 뜨리다.",
        "밭을 경작한다.",
        "곤충채집.",
        "거물을 낚시한다.",
        "겁 없이 통과한다.",
        "벼랑을 오른다.",
      ]
      return textFrom1D6Table(title, table1, table2)

    when 'GUR'
      title = '聖デトワール女学園無茶ぶり表'
      table1 = [
        "裏山で",
        "食堂で",
        "先輩の前で",
        "全国放送で",
        "全校生徒の前で",
        "学園の様子を伝えるネット中継で",
      ]
      table2 = [
        "歌を披露",
        "乗馬",
        "テニス",
        "「個性とは何か」を語る",
        "「アイドルとは何か」を語る",
        "「アイドルをやっていてよかった瞬間」を語る",
      ]
      return textFrom1D6Table(title, table1, table2)

    when 'BUR'
      title = 'アカデミー無茶ぶり表'
      table1 = [
        "TVカメラの前で",
        "ライバルと一緒に",
        "試験で",
        "寮で",
        "幼年部で",
        "初等部で",
      ]
      table2 = [
        "反省会",
        "ゲリラライブ",
        "宿題をこなす",
        "食事を作る",
        "自作の歌を披露",
        "自作のポエムを披露",
      ]
      return textFrom1D6Table(title, table1, table2)

    when /^BT(\d+)?$/
      counts = ( $1 || 1 ).to_i
      return badStatus(counts)

    when 'SGT'
      title = '아이돌 스킬 습득표(챌린지 걸즈)'
      table = [
        "씬 플레이어가 보유한 재능분야의특기가 지정 특기인 아이돌 스킬",
        "씬 플레이어가 보유한 캐릭터분야의특기가 지정 특기인 아이돌 스킬",
        "씬 플레이어가 보유한 취미분야의특기가 지정 특기인 아이돌 스킬",
        "랜덤으로 지정한 특기가 지정 특기인 아이돌 스킬(신장분야、속성분야、출신분야가 나올경우 재굴림)",
        "《멘탈 업》《퍼포먼스 업》《아이템 업》(챌린지 걸즈 216 페이지) 중 어느 쪽이든 1개",
        "《멘탈 업》《퍼포먼스 업》《아이템 업》(챌린지 걸즈 216 페이지) 중 어느 쪽이든 1개",
      ]
      return textFrom1D6Table(title, table)

    when 'RS'
      title = '아이돌 스킬 습득표(로드 투 프린스)'
      table = [
        "씬 플레이어가 보유한 속성분야의특기가 지정 특기인 아이돌 스킬",
        "씬 플레이어가 보유한 캐릭터분야의특기가 지정 특기인 아이돌 스킬",
        "씬 플레이어가 보유한 취미분야의특기가 지정 특기인 아이돌 스킬",
        "랜덤으로 지정한 특기가 지정 특기인 아이돌 스킬(신장분야、재능분야、출신분야가 나올경우 재굴림)",
        "《멘탈 디펜스》《판정 업》《개성 업》중 어느 쪽이든 1개",
        "《멘탈 디펜스》《판정 업》《개성 업》중 어느 쪽이든 1개",
      ]
      return textFrom1D6Table(title, table)

    when 'SH'
      title = 'ショッピングモール散策表'
      table = [
        [11, "思いがけず、ブランドもの衣装を買えてしまった。これを、うまく使えないだろうか？\nシーンプレイヤーとパートナープレイヤーは、好きなブランドの衣装チケットを一つ獲得する。"],
        [12, "雑貨コーナーを回って、自分たちらしいアクセサリーを探す。\nシーンプレイヤーとパートナープレイヤーは、アイテム「캐릭터アイテム」を一つ獲得する。"],
        [13, "お歳暮コーナーが盛況だった。今のトレンドはなんだろうか。\nシーンプレイヤーとパートナープレイヤーは、アイテム「差し入れ」を一つ獲得する。"],
        [14, "お菓子売り場で、気になっていたお菓子のシリーズを買い漁る。\nシーンプレイヤーとパートナープレイヤーは、アイテム「お菓子」を一つ獲得する。"],
        [15, "스포츠ショップに立ち寄って、스포츠ドリンクを買い貯める。いつか使うかもしれない。\nシーンプレイヤーとパートナープレイヤーは、アイテム「スナミナドリンク」を一つ獲得する。"],
        [16, "스포츠ウェアの展示会をやっていたので、見て回る。びびっと来たアイテムも見つかった。\nシーンプレイヤーとパートナープレイヤーは、アイテム「トレーニングウェア」を一つ獲得する。"],
        [22, "特売品を買い漁る。さて、使えるものかな？\nシーンプレイヤーとパートナープレイヤーは、アイテムをランダムに二つ獲得する。"],
        [23, "シューズコーナーで、普段使いの靴を調達する。댄스にちょうどいいのはどれかな？\nシーンプレイヤーとパートナープレイヤーは、アイテム「ドリーミングシューズ」を一つ獲得する。"],
        [24, "ふらりと買い物にやって来て、目についたものをとりあえず買ってみる。ちょっと疲れてたかも。\nシーンプレイヤーとパートナープレイヤーは、アイテムをランダムに一つ獲得する。"],
        [25, "色々な洋服を見て回って、自分やパートナーに合ったコーディネートを考えてみる。\nシーンプレイヤーとパートナープレイヤーは、【ビジュアル】が1点上昇する。"],
        [26, "ちょうど買いたかったものが、格安で売られていた。タイミングがよかったみたいだ。\nシーンプレイヤーとパートナープレイヤーは、好きなアイテムを一つ獲得する。"],
        [33, "ショッピングモールを歩いているうちに、アイテムを落としてしまう。\nシーンプレイヤーとパートナープレイヤーは、アイテムをすべて失う。"],
        [34, "ショッピングモールを歩いていると、声をかけられた。地元の人たちから、応援のメッセージをもらう。\nシーンプレイヤーとパートナープレイヤーは、【獲得ファン人数】が4点上昇する。"],
        [35, "ショッピングモールでは何も買わなかったが、交わした会話はお互いを知るきっかけになった。\nシーンプレイヤーとパートナープレイヤーは、お互いに対する【理解度】が3点上昇する。"],
        [36, "ベンチで一休みしながら、お互いの長所について話し合う。\nシーンプレイヤーとパートナープレイヤーは、アイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [44, "混雑中のフードコートで食事をしようとしたところ、一時間近く待たされる。\nシーンプレイヤーとパートナープレイヤーは、【メンタル】が2点減少する。"],
        [45, "フードコートで定番メニューを頼み、勝手知ったる味を楽しむ。やっぱり、知っている味がいい。\nシーンプレイヤーとパートナープレイヤーは、【メンタル】が2点上昇する。"],
        [46, "フードコートで新しいメニューにチャレンジ！\nシーンプレイヤーとパートナープレイヤーは、1D6を振る。出目が奇数の場合、そのPCは【メンタル】が5点減少し、出目が偶数の場合、そのPCは【メンタル】が5点上昇する。"],
        [55, "CDコーナーを探しているうちに、迷ってしまった。さて、ここはどこだろう？\n変調がランダムに一つ発生する。"],
        [56, "カフェコーナーで一休み。\nシーンプレイヤーとパートナープレイヤーは、【メンタル】が5点上昇する。"],
        [66, "家具や家電コーナーを回るうちに、自分たちの将来が不安になってきた。\n変調がランダムに二つ発生する。"],
      ]
      return textFromD66Table(title, table)

    when 'MO'
      title = '山散策表'
      table = [
        [11, "山で迷っていたら、謎の仙人に助けられる。そのついでに、体をうまく動かす方法まで教わる。ありがとう！　謎の仙人！\nシーンプレイヤーとパートナープレイヤーの【合宿ポイント】が10点上昇する。"],
        [12, "山の幸を頂いて、幸福感に包まれる。うまい！\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [13, "星空の下で、二人の【背景】を語り合う。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [14, "森林浴をして、体調を整える。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が3点上昇し、変調がすべて回復する。"],
        [15, "山登りを繰り返して、足腰を鍛える。\nシーンプレイヤーとパートナープレイヤーの【フィジカル】が1点上昇する。"],
        [16, "二人で一緒に朝日を見て、訳も分からず感動する。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [22, "山で迷った。\n変調がランダムに二つ発生する。"],
        [23, "山奥に住んでいるという、伝説のファッションデザイナーに着こなしの秘密を教えてもらう。\nシーンプレイヤーとパートナープレイヤーは、好きなブランドの衣装チケットを一つ獲得する。"],
        [24, "山奥に住んでいるという、伝説のレッスントレーナーに教えを乞いに足を延ばす。\nシーンプレイヤーとパートナープレイヤーは、アイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [25, "ふらっと立ち寄った地元の飲食店で郷土요리を食べる。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [26, "山奥にある神社まで登って、お祈りをする。無事にライブが成功しますように。\nシーンプレイヤーとパートナープレイヤーの【合宿ポイント】が5点上昇する。"],
        [33, "虫にたかられて、嫌な思いをする。\n変調がランダムに一つ発生する。"],
        [34, "仲間たちみんなとバーベキューをして楽しむ。\nシーンプレイヤーとパートナープレイヤーは、PC全員に対する【理解度】が3点上昇する。"],
        [35, "キノコ狩りをする。\nシーンプレイヤーとパートナープレイヤーは、1D6を振る。その値が偶数だった場合、アイテム「スタミナドリンク」を一つ獲得する。奇数だった場合、【メンタル】が6点減少する。"],
        [36, "避暑地の喫茶店で一杯飲みながら、お互いのアイドル論について語り合う。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [44, "山を移動中に、落し物をしてしまう。\nシーンプレイヤーとパートナープレイヤーは、アイテムを一つ失う。"],
        [45, "山小屋で一晩を過ごす。お互いの生活習慣が見えてきた。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [46, "ハイキングをしながら、お互いの嫌いなものについて理解を深める。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [55, "野生の鹿に襲われそうになったので、프로듀서가 盾になった。\n変調「怪我」が発生する。"],
        [56, "高原の広々としたテニスコートでテニスを楽しむ。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [66, "山道を歩き疲れて、足が棒になる。\nシーンプレイヤーとパートナープレイヤーは、【メンタル】が3点減少する。"],
      ]
      return textFromD66Table(title, table)

    when 'SEA'
      title = '海散策表'
      table = [
        [11, "浜辺で行われていたミスコンに強制的に参加させられる。\nシーンプレイヤーとパートナープレイヤーの【獲得ファン人数】が1D6点上昇する。"],
        [12, "浜辺を散歩しながら、お互いの好きなものについて語り合う。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [13, "とれたての魚を使った寿司を食べて満足する。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [14, "浜辺を歩いていると、アイドルだと気づいた地元の人たちから声援が飛んでくる。\nシーンプレイヤーとパートナープレイヤーの【獲得ファン人数】が5点上昇する。"],
        [15, "童心に返って、海に向かって走り出す。やったー海だー！\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [16, "水泳で体を鍛える。荒れやすい海は特訓にもってこいだ！\nシーンプレイヤーとパートナープレイヤーの【フィジカル】が1点上昇する。"],
        [22, "せっかくだから釣りをしてみる。何が釣れるかな？\nシーンプレイヤーとパートナープレイヤーは、アイテムをランダムに一つ獲得する。"],
        [23, "二人で競い合いながら泳ぎまわる。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [24, "ちょっとだけ日に焼けて、違う自分をセルフプロデュース。ちゃんと事務所の許可はとれてます！\nシーンプレイヤーとパートナープレイヤーの【ビジュアル】が1点上昇する。"],
        [25, "砂浜にいい感じのタイヤがあったので、それを引っ張りながら走り込みをする。\nシーンプレイヤーとパートナープレイヤーの【フィジカル】が1点上昇する。"],
        [26, "海に向かって叫んで、すっきりする。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇し、【ボイス】が1点上昇する。"],
        [33, "しつこいナンパに誘われて、ちょっと意気消沈してしまう。\n変調がランダムに二つ発生する。"],
        [34, "みんなで花火をして楽しむ。\nシーンプレイヤーとパートナープレイヤーは、PC全員に対する【理解度】が2点上昇する。"],
        [35, "水着で決めるファンションをコーディネートして、浜辺の視線を一人占め。\nシーンプレイヤーとパートナープレイヤーは、【ビジュアル】が1点上昇する。"],
        [36, "魚요리を満足いくまで食べたはいいものの、食べ過ぎじゃないかが心配。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が3点上昇する。"],
        [44, "穏やかな海を見ながら、これまでのことを思い返す。\n変調が一つ回復する。"],
        [45, "水族館に立ち寄ったら、お土産に色々持たされる。\nシーンプレイヤーとパートナープレイヤーは、アイテムをランダムに一つ獲得する。"],
        [46, "水族館のイルカショーから、新しい技のヒントをもらう。\nシーンプレイヤーとパートナープレイヤーは、アイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [55, "海で遊んでいたら、溺れかける。\n変調がランダムに三つ発生する。"],
        [56, "サーファーたちから、人を惹きつける技術について聞き出す。\nシーンプレイヤーとパートナープレイヤーは、アイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [66, "夜の海に出没するという幽霊らしきものを見かけてしまい、ぞっとする。\nシーンプレイヤーとパートナープレイヤーは、【メンタル】が5点減少する。"],
      ]
      return textFromD66Table(title, table)

    when 'SPA'
      title = '温泉街散策表'
      table = [
        [11, "地元のお祭りに遭遇！　一緒になって盛り上げる。\nシーンプレイヤーとパートナープレイヤーの【獲得ファン人数】が5点上昇する。"],
        [12, "卓球台を使って、お互いの力を出し切る。何かが掴めたような気がする。\nシーンプレイヤーとパートナープレイヤーの【合宿ポイント】が5点上昇する。"],
        [13, "お土産屋さんで、色々なものを買い込む。しかし、これは役に立つのだろうか。\nシーンプレイヤーとパートナープレイヤーは、アイテムをランダムに一つ獲得する。"],
        [14, "温泉からあがった後に、ゆっくりと涼む。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が3点上昇し、変調がすべて回復する。"],
        [15, "温泉街の名物요리を出してもらう。うまい！\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [16, "浴衣で活気のある街並みを歩きながら、お互いの【背景】を語り合う。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が1D6点上昇する。"],
        [22, "湯に浸かり過ぎて目が回る。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が3点上昇し、変調がランダムに一つ発生する。"],
        [23, "たくさんの温泉に次々浸かる。楽しいけど疲れた。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [24, "湯船に浸かってリフレッシュ。ひとまずは一息入れましょう。\n変調がすべて回復し、シーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [25, "ジャグジー風呂で肩こりや足のむくみを癒す。温泉地でもこういう施設はあるんだな。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [26, "みんなやプロデューサーを連れて足湯に浸かる。いつもご苦労様。\n変調がすべて回復する。"],
        [33, "のぼせる。\nシーンプレイヤーとパートナープレイヤーは、【メンタル】が3点減少する。"],
        [34, "貸切風呂で、ゆったりとしながらお互いを理解をするための話し合いをする。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [35, "マッサージ機を使って、日ごろの疲れをたたき出す。\n変調をすべて回復する。"],
        [36, "お風呂の後の牛乳もうまい！\nシーンプレイヤーとパートナープレイヤーは、アイテム「スナミナドリンク」を一つ獲得する。"],
        [44, "ついつい無駄遣いをしてしまう。てへへ。\n変調がランダムに一つ発生する。"],
        [45, "屋台での観光客向けの요리に舌鼓をうつ。こういう味もありなのか。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が3点上昇する。"],
        [46, "温泉街の女将さんたちに、人の心を豊かにする術を教えてもらう。\nシーンプレイヤーとパートナープレイヤーは、アイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [55, "部屋の中でぼけっと過ごす。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が1点上昇する。"],
        [56, "観光客の人々と会話をして、自分たちの知名度を確認する。\nアイドルランク係数が「10」以上の場合、【獲得ファン人数】が4D6点上昇する。"],
        [66, "複雑な地形と坂道で疲れ始める。目的の場所はまだ？\nシーンプレイヤーとパートナープレイヤーは、【メンタル】が3点減少する。"],
      ]
      return textFromD66Table(title, table)

    when 'TN'
      title = '夜語りシチュエーション表'
      table = [
        ["みんなが寝静まった寝室。二人だけのお話。", '好きな特技'],
        ["夜の街を歩きながら、【背景】をぽつぽつと語り出す。", '씬 플레이어의個性特技'],
        ["「好きなもの」を探しに出かけた帰り道。", '씬 플레이어가 보유한 취미분야의특기'],
        ["「嫌いなもの」から逃げてきて、二人きりになってしまった。", 'AT'],
        ["暗い道を往くとき、ふとしたきっかけで、「身体的特徴」に触れてしまう。", '씬 플레이어가 보유한 신장분야의특기'],
        ["「ファッション特徴」の話に夢中になっていたら、いつの間にか二人になっていたことに気づく。", '씬 플레이어가 보유한 속성분야의특기'],
      ]
      number, = roll(1, 6)
      return "#{title} ＞ [#{number}] ＞ " + table[number - 1][0] + getSkillText(table[number - 1][1])

    when 'CG'
      title = 'コモン成長表'
      table = [
        "【メンタル】が2点上昇する。",
        "【メンタル】が4点上昇する。",
        "『챌린지 걸즈』か『로드 투 프린스』のアイドルスキル修得表を使ってアイドルスキルを一つ修得する。",
        "アイテムをランダムに一つ獲得する。",
        "アイテムをランダムに一つ獲得する。",
        "【獲得ファン人数】が3点上昇する。",
      ]
      text = textFrom1D6Table(title, table)
      if /アイテムをランダムに一つ獲得する。$/ =~ text
        text += "\n" + getItem
      end
      return text

    when 'GG'
      title = 'ゴールド成長表'
      table = [
        [11, "好きなアイドルスキルを一つ選んで修得する。"],
        [12, "『챌린지 걸즈』か『로드 투 프린스』のアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [13, "『챌린지 걸즈』か『로드 투 프린스』のアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [14, "『챌린지 걸즈』か『로드 투 프린스』のアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [15, "『챌린지 걸즈』か『로드 투 프린스』のアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [16, "『챌린지 걸즈』か『로드 투 프린스』のアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [22, "好きなアイドルスキルを一つ選んで修得する。"],
        [23, "レアアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [24, "レアアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [25, "レアアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [26, "好きな能力値一つが1点上昇する。"],
        [33, "好きな能力値一つが2点上昇する。"],
        [34, "【ボイス】が1点上昇する。"],
        [35, "【フィジカル】が1点上昇する。"],
        [36, "【ビジュアル】が1点上昇する。"],
        [44, "個性特技を別の特技に変更することができる。"],
        [45, "好きな能力値二つが1点上昇する。"],
        [46, "すべての能力値が1点上昇する。"],
        [55, "【メンタル】が10点上昇する。"],
        [56, "アイテムをランダムに一つ獲得する。"],
        [66, "個性特技の目標値が1点減少する。"],
      ]
      skillTitle = 'レアアイドルスキル修得表'
      skillTable = [
        "【秘めたる素質】を修得する。",
        "【王者の風格】を修得する。",
        "【万能アイドル】を修得する。",
        "【最強の負けず嫌い】を修得する。",
        "【超絶無敵コーデ】を修得する。",
        "【強く正しく美しく】を修得する。",
      ]
      text = textFromD66Table(title, table)

      if /レアアイドルスキル修得表を使ってアイドルスキルを一つ修得する。/ =~ text
        text += "\n" + textFrom1D6Table(skillTitle, skillTable)
      elsif /アイテムをランダムに一つ獲得する。$/ =~ text
        text += "\n" + getItem
      end
      return text

    when 'FL'
      title = '駆け出しシーン表'
      table = [
        "トレーニングルームで、皆が真剣な顔をしている。真面目な雰囲気が場を支配しており、軽い冗談も言えなさそう。",
        "いつものたまり場。なのに、今日に限って、騒がしさがどこかに行ってしまったようだ。",
        "誰も歩いていない夜道。人気もなく、不安を抱くような暗闇に、足音だけが響いている。",
        "強い風と強い雨が吹きつける事務所の中。外に出れば、吹き飛ばされてしまいそう。",
        "曇り空の下。そこにいるだけで、暗い気持ちになるような、どんよりとした天気。",
        "雨が降り続けている。雨は、ずっと続いている。いつになったら晴れるのだろう。",
      ]
      return textFrom1D6Table(title, table)

    when 'LN'
      title = '孤独表'
      table = [
        "誰のことも信じられない。私は一人でやってみせる。\nPC全員の【理解度】すべてにチェックを入れる。センターPCは、アイドルスキル修得表を使ってアイドルスキルを一つ修得する。",
        "事件がきっかけで、事務所の空気が悪くなった。嫌な雰囲気。\n変調がランダムに三つ発生する。",
        "口調が荒くなり、きつい一言を仲間に言ってしまう。\nPC全員の【メンタル】が5点減少し、【理解度】すべてにチェックを入れる。",
        "ちょっとした注意がきっかけで、仲間と喧嘩をしてしまう。\nPC全員の【メンタル】が10点減少する。",
        "誰も、話をしない。気まずさと静寂が場を包んだ。このままでは、会場の空気も悪くなる。\n【目標動員数】が二倍になる。",
        "突然の強い雨に打たれる。ずぶぬれのところに一人。そんなところを誰かに目撃されてしまう。\nセンターPCの【獲得ファン人数】が半分になる。",
      ]
      return textFrom1D6Table(title, table)

    when 'MS'
      title = 'マイスキル名決定表'
      nameTable = [
        "形容表＋情景表＋マテリアル表",
        "形容表＋情景表＋アクション表",
        "形容表＋マテリアル表＋アクション表",
        "情景表＋マテリアル表＋アクション表",
        "形容表もしくは情景表＋称号表＋PCの名前",
        "マテリアル表もしくはアクション表＋称号表＋PCの名前",
      ]
      articleTitle = '称号表'
      articleTable = [
        "アイドル",
        "ガール／ボーイ",
        "パラダイス",
        "プリンセス／プリンス",
        "스타일",
        "クイーン／キング",
      ]
      describeTitle = '形容表'
      describeTable =[
        [11, "ビギニング"],
        [12, "パワフル"],
        [13, "ビューティフル"],
        [14, "エターナル"],
        [15, "きらめき"],
        [16, "シャイニング"],
        [22, "パーフェクト"],
        [23, "1000%"],
        [24, "フレッシュ"],
        [25, "ドキドキ"],
        [26, "ワイルド"],
        [33, "ロイヤル"],
        [34, "ときめき"],
        [35, "ふわふわ"],
        [36, "スタイリッシュ"],
        [44, "小悪魔"],
        [45, "スーパー"],
        [46, "ウルトラ"],
        [55, "ハイパー"],
        [56, "ダイナマイト"],
        [66, "アルティメット"],
      ]
      sceneTitle = '情景表'
      sceneTable =[
        [11, "マーメイド"],
        [12, "ドリーム"],
        [13, "ピュア"],
        [14, "アニマル"],
        [15, "サンシャイン"],
        [16, "ムーンライト"],
        [22, "かわいい／かっこいい"],
        [23, "フューチャリング"],
        [24, "ライジング"],
        [25, "버닝"],
        [26, "스타ライト"],
        [33, "ボンバー"],
        [34, "レインボー"],
        [35, "フローズン"],
        [36, "ヒート"],
        [44, "ダーク"],
        [45, "ぴかぴか"],
        [46, "サンライズ"],
        [55, "스타ダスト"],
        [56, "オーロラ"],
        [66, "ギャラクシー"],
      ]
      materialTitle = 'マテリアル表'
      materialTable =[
        [11, "バスケット"],
        [12, "エクスプレス"],
        [13, "エア플레인"],
        [14, "ロケット"],
        [15, "ハリケーン"],
        [16, "バイク"],
        [22, "タイガー"],
        [23, "ドルフィン"],
        [24, "ドッグ"],
        [25, "キャット"],
        [26, "バニー"],
        [33, "ドラゴン"],
        [34, "ソード"],
        [35, "ランス"],
        [36, "パラソル"],
        [44, "ローズ"],
        [45, "ロータス"],
        [46, "コスモス"],
        [55, "キャンディ"],
        [56, "ハート"],
        [66, "フェニックス"],
      ]
      actionTitle = 'アクション表'
      actionTable =[
        [11, "スパイラル"],
        [12, "フライ"],
        [13, "シャワー"],
        [14, "ダイブ"],
        [15, "イリュージョン"],
        [16, "ラッシュ"],
        [22, "ターン"],
        [23, "ラブ"],
        [24, "ハグ"],
        [25, "ダッシュ"],
        [26, "シュート"],
        [33, "ダイビング"],
        [34, "クロス"],
        [35, "トリック"],
        [36, "ビーム"],
        [44, "スラッシュ"],
        [45, "ボイス"],
        [46, "ドライブ"],
        [55, "くるくる"],
        [56, "ジャンプ"],
        [66, "アクション"],
      ]
      name, nameNumber = get_table_by_1d6(nameTable)

      nameParts = []
      articleIndex = name.index(articleTitle)
      unless articleIndex.nil?
        text, number = get_table_by_1d6(articleTable)
        nameParts.push([articleIndex, articleTitle, text, number])
      end

      setArrayFromD66Table(nameParts, name, describeTitle, describeTable)
      setArrayFromD66Table(nameParts, name, sceneTitle, sceneTable)
      setArrayFromD66Table(nameParts, name, materialTitle, materialTable)
      setArrayFromD66Table(nameParts, name, actionTitle, actionTable)
      nameParts.sort!

      numberString = ""
      nameParts.each do |index, src, text1, number1|
        name = name.gsub(src, text1)
        numberString += "#{src}#{number1},"
      end
      numberString = numberString[0, numberString.length - 1]
      return "#{title} ＞ [#{nameNumber},#{numberString}] ＞ #{name}"

    when 'MSE'
      title = 'マイスキル効果表'
      table = [
        "演目を行ったときに使用できる。自分の【メンタル】が15点になる。この効果は、1回のセッションに1度まで使用できる。",
        "ミラクル・ミラクルシンクロ・パーフェクトミラクルを発生させたときに使用できる。【パフォーマンス値】が10点上昇する。この効果は、1回のセッションに1度まで使用できる。",
        "ファンブルではない判定の後に使用する。判定の達成値を12にする。この効果は、1回のセッションに1度まで使用できる。",
        "演目を行ったときに使用できる。自分以外のPC全員の【メンタル】が2D6点上昇する。この効果は、1回のセッションに1度まで使用できる。",
        "ライブフェイズ開始時に使用する。このフェイズの間、すべての判定の達成値にプラス2の修正がつく。この効果は、1回のセッションに1度まで使用できる。",
        "パフォーマンスのサイコロを振った後に使用する。サイコロ1つの出目を6にすることができる。この効果は、1回のセッションに1度まで使用できる。",
      ]
      return textFrom1D6Table(title, table)

    when 'ST'
      title = '演出表'
      table = [
        "見事なパフォーマンスに、人々が感動する。",
        "その声に観客が聞き惚れる。",
        "一糸乱れぬ댄스が決まる。",
        "宙に飛ばしたマイクを見事にキャッチする。",
        "トランポリンなどを使って、会場の天井近くまでジャンプ。",
        "観客と一体になって決めポーズ。",
      ]
      return textFrom1D6Table(title, table)

    when 'FST'
      title = 'ファンタジー演出表'
      table = [
        "会場を覆っていた暗雲を退散させる。",
        "会場に花が咲く。",
        "炎の旋風が観客を燃え上がらせる。",
        "ハートの風船が会場中を飛び交う。",
        "羽を生やして会場を飛び回る。",
        "打ち上がった花火と共に決めポーズ。",
      ]
      return textFrom1D6Table(title, table)

    when 'CHO'
      title = '하이라이트 표'
      table = [
        [11, "모험이다 / 어드벤처\n이 공연간에, 스페셜치가 1점 감소."],
        [12, "온 세상의 사랑 / 러브\nPC전원의【멘탈】이 3점 상승."],
        [13, "지금 보내고 싶은 / 기다릴 수 없는\n이 공연의 【퍼포먼스치】가 1점 상승."],
        [14, "지지 않는 거야 / 이기고 싶은\n이 공연의 PP가 5 점 감소(최저 0).。"],
        [15, "감사의 말 / 고마워요\n변조가 모두 회복한다."],
        [16, "너라면 / 당신들이\n이 공연 간에 모든 【이해도】가 2점 높은 것으로서 취급한다."],
        [22, "동료와 함께라면 / 동료의\nPC전원은 자신 이외의 캐릭터에 대해 【이해도】가 1점 상승."],
        [23, "정말로 좋아해 / MAX\nPC 전원의 【멘탈】이 1D6점 상승.。"],
        [24, "죽고 싶을 정도로 / 어둠으로 떨어져\n이 공연 간에 스페셜치와 펌블치가 1점 감소."],
        [25, "이지만 / 에서도、이 공연 간에 단기돌파 목표치가 5점이 된다."],
        [26, "키스보다 / 속삭이는 것보다\n이 공연 목록의 간에 【비주얼】이 1점 상승한다."],
        [33, "함께 있으면 좋은 / 쭉\n아이돌 클래스가 「훈훈한」인 PC전원은 【추억】을 획득"],
        [34, "달리다 / 달리는\n이 공연 간에 【피지컬】이 1점 상승한다."],
        [35, "기다림에 애태우는 / 언제까지나\n공연 간에 심포니를 실시했을 때 주사위 눈 하나를 1로 변경할 수 있다."],
        [36, "한밤 중에 / 한낮에の\n미라클• 미라클 싱크로가 발생했을 때 【퍼포먼스치】에 +5."],
        [44, "笑おうぜ／미소で\n아이돌 클래스가 「코메디」인 PC전원은 【획득 팬 인원수】가 [2D6에] 랭크 계수】를 적용한 수만큼 상승."],
        [45, "파티다 / 돈으로도\nPC전원은, 아이템을 1개 랜덤에 획득한다."],
        [46, "이니까 / 그리고\n공연 간에 단기돌파 이외의 판정 달성치가 1점 상승한다"],
        [55, "나만 봐 / 독점하고 싶은\n단기돌파를 실시해도 【멘탈】이 감소하지 않는다."],
        [56, "우리들의 노래 / 노래하자\n이 공연 간에 【보이스】가 1점 상승한다.。"],
        [66, "사랑하고 있는 것 / 좋아해\n아이돌 클래스가 「진지한」인 PC전원의 【멘탈】이 5점 상승."],
      ]
      return textFromD66Table(title, table)

    when 'SCH'
      title = '정열의 여름 하이라이트 표'
      table = [
        "여름은\n이 공연간에 PC전원의 【퍼포먼스치】가 1점 상승.",
        "뜨거운 거야!\n이 공연간에 PC전원의 스페셜치가 1점 감소.",
        "수영복이\n이 공연간에 의상효과에 의해 상승하는 값이 +1.",
        "목 마른\n이 공연간에 PC전원의 펌블치가 3점 상승.",
        "촉촉한\n【멘탈】이 5점 이하인 PC전원은 【멘탈】이 10점 상승.",
        "튀는\n이 공연간에 퍼펙트 미러클의【퍼포먼스치】가 15점 상승.",
      ]
      return textFrom1D6Table(title, table)

    when 'WCH'
      title = '온기의 겨울 하이라이트 표'
      table = [
        "눈과 같은\nPC전원의 【멘탈】이 3점 상승.",
        "초콜릿에\nPC1인의 【멘탈】이 10점 상승.",
        "녹여 주는\n이 공연 간, PC전원의 판정의 달성치가 1점 상승.",
        "특별한 날\n이 공연 간, PC1인의 스페셜치가 3점 감소.",
        "눈보라가\n이 공연 간, 미라클의 【퍼포먼스치】가 10점 상승.",
        "추위도 잊어\n이 공연 간, 펌블이 발생해도 변조가 생기지 않는다.",
      ]
      return textFrom1D6Table(title, table)

    when 'NCH'
      title = '대자연 하이라이트 표'
      table = [
        "야생의\n전원 【멘탈】이 1D6점 상승.",
        "파워로\n이 공연간에 PC 1명의 【퍼포먼스치】가 1D6점 상승.",
        "단련된 몸\n전원 【멘탈】이 3점상승.",
        "잡고 있는\n이 공연 간에 PC 전원 【파포먼스치】가 1점 상승.",
        "부축 하는\n이 공연 간에 PC 1명의 【퍼포먼스치】가 3점 상승.",
        "매일 싸워 나가는\nPC 1명의 【획득 팬 인원수】가 2D6에 【랭크계수】 걸친 수만큼 상승.",
      ]
      return textFrom1D6Table(title, table)

    when /^IT(\d+)?$/
      counts = ( $1 || 1 ).to_i
      return getItem(counts)

    when 'ACT'
      title = 'アクセサリー種別決定表'
      table = [
        "頭アクセサリー表を使用する。",
        "帽子アクセサリー表を使用する。",
        "胴アクセサリー表を使用する。",
        "腕アクセサリー表を使用する。",
        "足アクセサリー表を使用する。",
        "その他アクセサリー表を使用する。",
      ]
      text = textFrom1D6Table(title, table)

      title = '頭アクセサリー表'
      if text.include?(title)
        table = [
          [11, "アイマスク"],
          [12, "うさみみ"],
          [13, "ねこみみ"],
          [14, "サングラス"],
          [15, "ピアス"],
          [16, "シュシュ"],
          [22, "仮面"],
          [23, "ティアラ"],
          [24, "エクステ"],
          [25, "バンダナ"],
          [26, "ヘアバンド"],
          [33, "インカム"],
          [34, "イヤリング"],
          [35, "ホワイトプリム"],
          [36, "ゴーグル"],
          [44, "つけひげ"],
          [45, "ヘッドホン"],
          [46, "耳あて"],
          [55, "トナカイの角"],
          [56, "花飾り"],
          [66, "かんざし"],
        ]
        return text + "\n" + textFromD66Table(title, table)
      end

      title = '帽子アクセサリー表'
      if text.include?(title)
        table = [
          [11, "ヘルメット"],
          [12, "麦わら帽子"],
          [13, "サンタ帽子"],
          [14, "花冠"],
          [15, "学帽"],
          [16, "ハンチング帽"],
          [22, "シルクハット"],
          [23, "テンガロンハット"],
          [24, "ナイトキャップ"],
          [25, "ロシア帽"],
          [26, "ベレー帽"],
          [33, "コック帽"],
          [34, "パーティコーン"],
          [35, "とんがり帽子"],
          [36, "キャップ"],
          [44, "ナースキャップ"],
          [45, "カンカン帽"],
          [46, "ハット帽"],
          [55, "ターバン"],
          [56, "セーラーキャップ"],
          [66, "中共帽子"],
        ]
        return text + "\n" + textFromD66Table(title, table)
      end

      title = '胴アクセサリー表'
      if text.include?(title)
        table = [
          [11, "首かけ指輪"],
          [12, "カウベル"],
          [13, "ネックレス"],
          [14, "蝶ネクタイ"],
          [15, "メガホン"],
          [16, "ペンダント"],
          [22, "ブローチ"],
          [23, "金の首輪"],
          [24, "チョーカー"],
          [25, "南京錠"],
          [26, "タスキ"],
          [33, "エプロン"],
          [34, "名札"],
          [35, "階級章"],
          [36, "胸当て"],
          [44, "ベルト"],
          [45, "ポシェット"],
          [46, "マフラー"],
          [55, "首かけカメラ"],
          [56, "リボン"],
          [66, "肩パット"],
        ]
        return text + "\n" + textFromD66Table(title, table)
      end

      title = '腕アクセサリー表'
      if text.include?(title)
        table = [
          [11, "動物の手"],
          [12, "宝石の腕輪"],
          [13, "動物のマペット"],
          [14, "グローブ"],
          [15, "指ぬきグローブ"],
          [16, "リストバンド"],
          [22, "鍋掴み"],
          [23, "手袋"],
          [24, "長手袋"],
          [25, "腕章"],
          [26, "腕時計"],
          [33, "ドリル"],
          [34, "楽器"],
          [35, "マフ"],
          [36, "カフス"],
          [44, "ボクシンググローブ"],
          [45, "シルバーアクセサリー"],
          [46, "ゴールドアクセサリー"],
          [55, "ぬいぐるみ"],
          [56, "ミサンガ"],
          [66, "手甲"],
        ]
        return text + "\n" + textFromD66Table(title, table)
      end

      title = '足アクセサリー表'
      if text.include?(title)
        table = [
          [11, "革靴"],
          [12, "ブーツ"],
          [13, "スポーツシューズ"],
          [14, "スキー靴"],
          [15, "アンクル"],
          [16, "バスケットシューズ"],
          [22, "スリッパ"],
          [23, "ミサンガ"],
          [24, "動物の足"],
          [25, "作業靴"],
          [26, "ルーズウォーマー"],
          [33, "ニーパッド"],
          [34, "ガーターリング"],
          [35, "ポーチ"],
          [36, "ローラースケート"],
          [44, "へんなタイツ"],
          [45, "白タイツ"],
          [46, "網タイツ"],
          [55, "ガラスの靴"],
          [56, "グリープ"],
          [66, "ベル"],
        ]
        return text + "\n" + textFromD66Table(title, table)
      end

      title = 'その他アクセサリー表'
      if text.include?(title)
        table = [
          [11, "ボンボン"],
          [12, "マント"],
          [13, "蝶の羽"],
          [14, "天使の羽"],
          [15, "悪魔の羽"],
          [16, "猫のしっぽ"],
          [22, "トレンチコート"],
          [23, "ばんそうこう"],
          [24, "パラソル"],
          [25, "ステッキ"],
          [26, "タトゥーシール"],
          [33, "バーコード"],
          [34, "バレーボール"],
          [35, "大きなリボン"],
          [36, "鎖"],
          [44, "キャラクターグッズ"],
          [45, "イメージカラーのネイル"],
          [46, "メガネ"],
          [55, "旗"],
          [56, "ジャケット"],
          [66, "サスペンダー"],
        ]
        return text + "\n" + textFromD66Table(title, table)
      end
      return text

    when 'ACB'
      title = 'アクセサリーブランド決定表'
      table = [
        "『챌린지 걸즈』の衣装ブランドからランダムに決定する。",
        "『챌린지 걸즈』の衣装ブランドからランダムに決定する。",
        "『로드 투 프린스』の衣装ブランドからランダムに決定する。",
        "『로드 투 프린스』の衣装ブランドからランダムに決定する。",
        "『フォーチュンスターズ』の衣装ブランドからランダムに決定する。",
        "『フォーチュンスターズ』の衣装ブランドからランダムに決定する。",
      ]
      text = textFrom1D6Table(title, table)
      /『(.+)』/ =~ text
      bookTitle = $1
      return text + "\n" + costume('의상(' + bookTitle + ')', true)

    when 'ACE'
      title = 'アクセサリー効果表'
      table = [
        [11, "好きな能力値が1点高いものとして扱う。"],
        [12, "【ボイス】が1点高いものとして扱う。"],
        [13, "【フィジカル】が1点高いものとして扱う。"],
        [14, "【ビジュアル】が1点高いものとして扱う。"],
        [15, "このアクセサリーを装備したとき、【メンタル】が5点上昇する。この効果は、1回のセッションに1度まで使用できる。"],
        [16, "【パフォーマンス値】が2点上昇する。"],
        [22, "このアクセサリーを装備したとき、「アイドルスキル修得表」を使って、ランダムにアイドルスキルを1つ修得する。リザルトフェイズにそのアイドルスキルは失われる。この効果は、1回のセッションに1度まで使用できる。"],
        [23, "開幕演目と最終演目で行う判定の達成値が2点上昇する。"],
        [24, "【協調値】が1点上昇する。"],
        [25, "アイドルスキルの効果が1点上昇する。"],
        [26, "意地判定の達成値が3点上昇する。"],
        [33, "特殊な演目によって上昇する【獲得ファン人数】が3点上昇する。"],
        [34, "一芸突破を行ったとき、判定の達成値が2点上昇する。"],
        [35, "このアクセサリーを装備したとき、好きな特技を1つ選ぶ。選んだ特技は、ライブフェイズの間、修得しているものとして扱う。この効果は、1回のセッションに1度まで使用できる。"],
        [36, "幕間での判定の達成値が2点上昇する。"],
        [44, "思い出を使用したとき、【メンタル】が3点上昇する。"],
        [45, "ミラクルが発生したときの【パフォーマンス値】が15点になる。"],
        [46, "アイドルスキルを使用したときの判定の達成値が2点上昇する。"],
        [55, "特別な演目を行っても、【メンタル】が減少しない。"],
        [56, "最終演目での【メンタル】減少が半分（端数切り捨て）になる。"],
        [66, "スペシャルが発生したとき、【メンタル】が10点上昇する。"],
      ]
      return textFromD66Table(title, table)

    when 'DT'
      return costume('의상(챌린지 걸즈)')

    when 'RC'
      return costume('의상(로드 투 프린스)')

    when 'FC'
      return costume('의상(フォーチュンスターズ)')

    when 'CBT'
      title = '캐릭터공백표(챌린지 걸즈)'
      table = [
        [11, '바뀌는 말투'],
        [12, '~버릇'],
        [13, '동물 같은'],
        [14, '일본식'],
        [15, '경박함'],
        [16, '계산이 빠름'],
        [22, '여동생／누나 캐릭터'],
        [23, '포지티브!'],
        [24, '네거티브……'],
        [25, '응석받이'],
        [26, '연령'],
        [33, '동물의상'],
        [34, '지기 싫어함'],
        [35, '노력가'],
        [36, '말하고 싶어함'],
        [44, '천연'],
        [45, '흉내'],
        [46, '특징 없음'],
        [55, '직감'],
        [56, '피아노'],
        [66, '소중한 사람'],
      ]
      return textFromD66Table(title, table)

    when 'RCB'
      title = '캐릭터공백표(로드 투 프린스)'
      table = [
        [11, '걱정이 많은'],
        [12, '본좌 (어르신)'],
        [13, '남동생'],
        [14, '노력가'],
        [15, '차분함'],
        [16, '서투름'],
        [22, '이중인격'],
        [23, '럭키보이'],
        [24, '귀여운'],
        [25, '소악마'],
        [26, '유유자적'],
        [33, '조용한 광기'],
        [34, '육체파'],
        [35, '시인'],
        [36, '참견'],
        [44, '연애를 좋아함'],
        [45, '비평가'],
        [46, '차가움'],
        [55, '고고함'],
        [56, '오빠'],
        [66, '여자를 접하기 싫어함'],
      ]
      return textFromD66Table(title, table)

    when 'HBT'
      title = '취미공백표(챌린지 걸즈)'
      table = [
        [11, '취미없음'],
        [12, '티타임'],
        [13, '시'],
        [14, '자격증 습득'],
        [15, '일러스트레이트'],
        [16, '인형'],
        [22, '수면'],
        [23, '천체관측'],
        [24, '산책'],
        [25, '식사'],
        [26, '뜨개딜'],
        [33, '곤충채집'],
        [34, '문자'],
        [35, '긴통화'],
        [36, '카페순례'],
        [44, '목욕'],
        [45, '수집'],
        [46, '조경'],
        [55, '등산'],
        [56, '역사 애호가'],
        [66, '가사'],
      ]
      return textFromD66Table(title, table)

    when 'RHB'
      title = '취미공백표(로드 투 프린스)'
      table = [
        [11, '철도'],
        [12, '꽃꽃이'],
        [13, '여행'],
        [14, '일요목수'],
        [15, '서예'],
        [16, '단형시 짓기'],
        [22, '식도락'],
        [23, '근력 트레이닝'],
        [24, '공작'],
        [25, '자격증 습득'],
        [26, '낚시'],
        [33, '산보'],
        [34, '패션'],
        [35, '사육'],
        [36, '장난'],
        [44, '거리에서 헌팅'],
        [45, '독서'],
        [46, '가사전반'],
        [55, '곤충채집'],
        [56, '아트'],
        [66, '수면'],
      ]
      return textFromD66Table(title, table)

    when 'RU'
      title = 'マスコット暴走表'
      table = [
        "激しいアクションで興味を持った人たちを呼び寄せる。\nPC全員の【獲得ファン人数】が5点上昇する。",
        "マスコット캐릭터クターから聞こえてはいけない音が聞こえてきて、次の瞬間には動かなくなってしまった。\nこのセッションの間、マスコット캐릭터クターが使用できなくなる。",
        "マスコット캐릭터クターが行方不明！　프로듀서가 代わりに着ぐるみを着たけれども、負担が大きかった。\n変調「怪我」が発生する。",
        "マスコット캐릭터クターが不適切な発言をしてしまい、連帯責任で謝罪することになってしまう。\nPC全員の【獲得ファン人数】が、それぞれ5点減少する。",
        "マスコット캐릭터クターが転んで起き上がれなくなってしまった！　みんなで力を合わせて助け起こそう。\nPC全員の【メンタル】が3点減少する。",
        "マスコットが突然PCに物申す。問題点を挙げて、鍛えてくれる。\nPC一人は、「アイドルスキル修得表」を使って、アイドルスキルを一つ修得する。",
      ]
      return textFrom1D6Table(title, table)

    when /^(\d{2})C$/
      title = 'バーストタイム'
      degrees = $1.to_i
      counts = 6
      if degrees < 45 or degrees > 55
        return nil
      elsif degrees <= 49
        counts = 3
      elsif degrees <= 52
        counts = 4
      elsif degrees <= 54
        counts = 5
      end

      total, dice = roll(counts, 6, 1)
      total += degrees

      text = "#{title} ＞ #{degrees}+[#{dice}] ＞ #{total} ＞ "
      if total >= 80
        text += "Burst!\n「バースト表」を使用する。"
      elsif total >= 65
        string = "成功\n【獲得ファン人数】が2D6点上昇する。"
        if total >= 75
          string = "大#{string}\nPC全員が挑戦者ではない場合、自分以外のPCを一人指名する。指名されたPCは、新たな挑戦者として、【メンタル】を減少させずに「バーストタイム」を行う。"
        end
        text += string
      else
        text += '失敗'
      end
      return text

    when 'BU'
      title = 'バースト表'
        table = [
          "熱い！　熱い！\n【メンタル】が2点減少する。",
          "慌てて浴槽から出ようとしたが、足を滑らせて浴槽に落ちる。ウケたはいいが、とても熱い。\n【メンタル】が1D6点減少し、【獲得ファン人数】が3D6点上昇する。",
          "温かい目で見守っていた仲間の手を力いっぱい引っ張り、浴槽に引きずり込む。\n自分以外のPCを一人選ぶ。選ばれたPCは、【メンタル】を3点減少させ、「バーストタイム」を行う。",
          "あまりの熱さに浴槽へ入り損ねていたら、仲間の一人に叩き落とされる。\n【メンタル】を2点減少してから、PCを一人選ぶ。選んだPCに対する【理解度】が3点上昇し、チェックを外す。",
          "思い切って氷を頭から浴びる。쿨ダウン完了！\n【メンタル】を2点減少させることで、もう一度「バーストタイム」を行うことができる。",
          "熱湯風呂に入るための着替えに手間取ってしまい、急かされてしまう。結果、満足に着替えができなかった。\nこのライブフェイズの間、衣装の効果が無効化される。",
        ]
      return textFrom1D6Table(title, table)

    when /^(\d+)(S?)A([1-6]*)([\+\-]\d+)?$/
      title = '攻撃'
      counts = $1.to_i
      return nil if counts <= 0

      sure = (not $2.empty?)
      remove = $3
      adjust = $4
      adjust ||= ''

      result = roll(counts, 6, 1)
      dice = result[1].split(",") - remove.split("")

      text = "#{title} ＞ [" + result[1] + "]#{adjust} ＞ "

      unless dice.count == counts or dice.empty?
        text += '[' + dice.join(",") + "]#{adjust} ＞ "
      end

      if sure or (dice.count == dice.uniq.count)
        total = adjust.to_i
        total += dice.map(&:to_i).inject(:+) unless dice.empty?
        total = 0 if total < 0
        text += "#{total}ダメージ"
      else
        text += '失敗'
      end
      return text

    when 'SIP'
      title = 'かんたんパーソン表'
      table = [
        'テレビ番組に出て、ライブの宣伝をする。',
        'ラジオに出演して、ライブの宣伝をする。',
        '動画を配信して、ライブの宣伝をする。',
        'ライブの宣伝のために、街でビラ配りをする。',
        'ライブに人を集めるために、派手なパフォーマンスを街中でする。',
        'ライブの宣伝のために、あちこちを走り回る。',
      ]
      return textFrom1D6Table(title, table)

    when 'BVT'
      title = '대형 예능 프로덕션 회장표'
      table = [
        '자사내 TV 스튜디오',
        '사내 라이브 스테이지',
        '자사 프로그램',
        '이벤트 회장',
        '쇼핑센터',
        '자사 주최 페스티벌',
      ]
      return textFrom1D6Table(title, table)

    when 'LVT'
      title = '약소 예능 프로덕션 회장표'
      table = [
        '지방 축제',
        'CD샵 앞',
        '소극장',
        '음악 프로그램',
        '로컬 TV',
        '예능 관계사 공동개최 페스티벌',
      ]
      return textFrom1D6Table(title, table)

    when 'TVT'
      title = '라이브 시어터 회장표'
      table = [
        '라이브 시어터',
        '라이브 시어터',
        '라이브 시어터',
        '라이브 시어터',
        '라이브 시어터',
        '라이브 시어터',
      ]
      return textFrom1D6Table(title, table)

    when 'CVT'
      title = '아이돌 부 회장표'
      table = [
        '運動場',
        '体育館',
        '屋上',
        '街中',
        '地元のイベント',
        '学園アイドル大会',
      ]
      return textFrom1D6Table(title, table)

    when 'BST'
      title = '대형 예능 프로덕션 장소표'
      table = [
        '사내 프로젝트 룸',
        '사내 카페',
        '사내 풀',
        '사내 레슨 룸',
        '쇼핑센터',
        '사내 에스테틱 룸',
      ]
      return textFrom1D6Table(title, table)

    when 'LST'
      title = '약소 예능 프로덕션 장소표'
      table = [
        '급탕실',
        '응접실',
        '거실',
        '옥상',
        '사장실',
        '근처공원',
      ]
      return textFrom1D6Table(title, table)

    when 'TST'
      title = '라이브 시어터 장소표'
      table = [
        '우리의 무대',
        '대기실',
        '매점',
        '극장 앞',
        '레슨 룸',
        '무대 옆',
      ]
      return textFrom1D6Table(title, table)

    when 'CST'
      title = '아이돌 부 장소표'
      table = [
        '부실',
        '음악실',
        '교실',
        '옥상',
        '운동장',
        '체육관',
      ]
      return textFrom1D6Table(title, table)

    when 'BPT'
      title = '대형 예능 프로덕션 프레셔 종류 결정표'
      table = [
        '선배 아이돌의 기대',
        '후배 아이돌의 동경',
        '사장의 시찰',
        '동기 아이돌들과의 경쟁',
        '거물 게스트 등장',
        'TV프로그램의 프로듀서',
      ]
      return textFrom1D6Table(title, table)

    when 'LPT'
      title = '약소 예능 프로덕션 프레셔 종류 결정표'
      table = [
        '열심히 라이브 와주는 팬',
        '매우 나쁜 조건의 스테이지',
        '대형 프로덕션의 시찰',
        '드레스 디자이너의 품평',
        '신곡을 제공한 뮤지션',
        '취재하러 온 예능기자',
      ]
      return textFrom1D6Table(title, table)

    when 'TPT'
      title = '라이브 시어터 프레셔 종류 결정표'
      table = [
        '라이브 시어터에 매일 와주는 팬',
        '라이브 시어터에서 일하는 스텝',
        '시어터 경영자의 시찰',
        '시어터에 우연히 들린 많은 관객',
        '병행으로 행해지는 이벤트의 팬',
        '라이벌 시어터의 아이돌 유닛',
      ]
      return textFrom1D6Table(title, table)

    when 'CPT'
      title = '아이돌 부 프레셔 종류 결정표'
      table = [
        '라이벌 팀 「카이와라교」의 도전',
        "최강 팀 「Tiara's」의 정찰",
        '학부모 교사 협회(PTA)의 시찰',
        'PC의 부모',
        '친한 동급생',
        '라이벌 팀 「성 국제 여학원」의 도전',
      ]
      return textFrom1D6Table(title, table)

    when 'BIT'
      title = '대형 예능 프로덕션 도구표'
      table = [
        '영양 드링크',
        '자동 판매기',
        '선배 아이돌의 포스터',
        '선배 아이돌의 CD',
        '아이돌 잡지',
        '대본',
      ]
      return textFrom1D6Table(title, table)

    when 'LIT'
      title = '약소 예능 프로덕션 도구표'
      table = [
        '셀로판 테이프',
        '냉장고',
        '백엔 동전',
        '너덜너덜한 소파',
        '주먹밥',
        '키친',
      ]
      return textFrom1D6Table(title, table)

    when 'TIT'
      title = '라이브 시어터 도구표'
      table = [
        '무대의 조명',
        '기획서',
        'PC의 굿즈',
        '화이트 보드',
        '라이브 포스터',
        '우동',
      ]
      return textFrom1D6Table(title, table)

    when 'CIT'
      title = '아이돌 부 도구표'
      table = [
        '퍼스널 컴퓨터',
        '책상',
        '가방',
        '핸드 카메라',
        '저지',
        '투표함',
      ]
      return textFrom1D6Table(title, table)
    end

    return nil
  end

  def rollPerformance(counts, residual, adjust)
    title = 'パフォーマンス'

    string = ''
    string += '+' if adjust > 0
    string += "#{adjust}" unless adjust == 0

    result = roll(counts, 6, 1)
    diceAll = result[1].delete(",") + residual

    total = 0
    diceUse = []
    for i in 1..7
      if diceAll.count(i.to_s) == 1
        total += i
        diceUse.push(i)
      end
    end

    text = " ＞ [" + result[1] + ']'

    if residual.empty?
      text = "#{title}#{text}"
    else
      text = "シンフォニー#{text}"
    end

    unless residual.empty?
      text += ',[' + residual.split("").sort.join(",") + ']'
    end

    text += "#{string} ＞ "

    if total == 0
      if residual.empty?
        total = 10 + adjust
        text += "【ミラクル】#{total}"
      else
        total = 15 + adjust
        text += "【ミラクルシンクロ】#{total}＋シンフォニーを行った人数"
      end
    elsif total == 21 and not diceUse.include?(7)
      unless residual.empty?
        text += '[' + diceUse.join(',') + "]#{string} ＞ "
      end
      total = 30 + adjust
      text += "【パーフェクトミラクル】#{total}"
    else
      unless residual.empty? and diceUse.count == diceAll.length
        text += '[' + diceUse.join(',') + "]#{string} ＞ "
      end
      total += adjust
      text += "#{total}"
    end

    return text
  end

  def textFromD66Table(title, table, chance = '')
    isSwap = true
    dice = getD66(isSwap)
    number, text, skill = table.assoc(dice)

    text, skill = checkChance(text, skill, chance)
    return "#{title} ＞ [#{number}] ＞ " + replaceBadStatus(text) + getSkillText(skill)
  end

  def checkChance(text, skill, chance)
    return text, skill if chance.empty?
    return text, skill unless /チャンスが(\d{1,2})以下なら오프。/ === text

    target = $1.to_i
    matchedText = $&

    if target >= chance.to_i
      text = "오프"
      skill = ''
    else
      text = text.sub(matchedText, '')
      text = text.chomp
    end

    return text, skill
  end

  def textFrom1D6Table(title, table1, table2 = nil)
    text1, number1 = get_table_by_1d6(table1)

    text = "#{title} ＞ "
    if table2.nil?
      text += "[#{number1}] ＞ #{text1}"
    else
      text2, number2 = get_table_by_1d6(table2)
      text += "[#{number1},#{number2}] ＞ #{text1}#{text2}"
    end

    if /랜덤으로 지정한 특기가 지정 특기인 아이돌 스킬\(신장분야、(속성|재능)분야、출신분야가 나올경우 재굴림\)$/ =~ text
      category = $1
      while true
        skill = getSkillList()
        text += "\n#{skill}"
        break unless skill.include?("신장") or skill.include?(category) or skill.include?("출신")
        text += " ＞ 振り直し"
      end
    end

    return replaceBadStatus(text)
  end

  def getSkillList(field = 0)
    title = '特技リスト'
    table = [
             ['신장', ['～125','131','136','141','146','156','166','171','176','180','190～']],
             ['속성', ['에스닉','다크','섹시','페미닌','큐트','플레인','패션','팝','버닝','쿨','스타']],
             ['재능', ['이국문화','스타일','집중력','담력','체력','미소','운동신경','배려','학력','기품','연기력']],
             ['캐릭터', ['중2병','신비','마이페이스','유순','말버릇','캐릭터분야의 공백','건강','외고집','언행정중','덜렁이','바보']],
             ['취미', ['오컬트','펫','스포츠','멋내기','요리','취미분야의 공백','쇼핑','댄스','ゲーム','음악','아이돌']],
             ['출신', ['오키나와','큐슈','시코쿠','주코쿠','킨키','주부','간토','호쿠리쿠','도호쿠','훗카이도','해외']],
            ]

    number1 = 0
    if field == 0
      table, number1 = get_table_by_1d6(table)
    else
      table = table[field - 1]
    end

    fieldName, table = table
    skill, number2 = get_table_by_2d6(table)

    text = title
    if field == 0
      text += " ＞ [#{number1},#{number2}]"
    else
      text += "(#{fieldName}분야) ＞ [#{number2}]"
    end

    return "#{text} ＞ 《#{skill}／#{fieldName}#{number2}》"
  end

  def badStatus(counts = 1)
    title = '변조'
    table = [
             "「불온한 공기」　PC의 【멘탈】이 감소할 때, 감소하는 수치가 1점 상승한다.",
             "「미묘한 거리감」　【이해도】가 상승하지 않게 된다.",
             "「유리의 마음」　PC의 펌블치가 1점 상승한다.",
             "「부상」　막간 때, 프로듀서는 「회상」만 실시할 수 있다.",
             "「믿지 못하는」　PC전원의 【이해도】를 1점 낮은 것으로 취급한다.",
             "「엇갈림」　PC는 아이템 사용과 리절트 페이즈에 「부탁」을 할 수 없게 된다.",
            ]

    return '' if counts <= 0

    result = roll(counts, 6, 1)
    numbers = result[1].split(",").uniq

    text = "#{title} ＞ [" + result[1] + '] ＞ '
    occurrences = numbers.count

    if occurrences > 1
      text += "以下の#{occurrences}つが発生する。\n"
    end

    occurrences.times do |i|
      text += table[numbers[i].to_i - 1] + "\n"
    end

    return text[0, text.length - 1]
  end

  def getSkillText(skill)
    return '' if skill.nil? or skill.empty?

    text = skill
    if /^AT([1-6]?)$/ =~ text
      text = getSkillList($1.to_i)
    else
      text = "特技 : #{text}"
    end

    return "\n#{text}"
  end

  def setArrayFromD66Table(array, name, src, table)
    index = name.index(src)
    return if index.nil?

    isSwap = true
    dice = getD66(isSwap)
    number, text, = table.assoc(dice)
    array.push([index, src, text, number])
  end

  def getItem(counts = 1)
    title = 'アイテム'
    table = [
      "スタミナドリンク",
      "トレーニングウェア",
      "ドリーミングシューズ",
      "캐릭터アイテム",
      "お菓子",
      "差し入れ",
    ]

    return '' if counts <= 0

    result = roll(counts, 6, 1)
    numbers = result[1].split(",")
    unique = numbers.uniq

    text = "#{title} ＞ [" + result[1] + '] ＞ '
    acquisitions = numbers.count
    kinds = unique.count

    kinds.times do |i|
      string = table[unique[i].to_i - 1]
      unless kinds == 1
        string = "「#{string}」"
      end

      text += string
      unless acquisitions == kinds
        text += numbers.count(unique[i]).to_s + 'つ'
      end
      text += 'と'
    end

    text = text.sub(/と$/, '')

    return text
  end

  def replaceBadStatus(text)
    return text unless /変調がランダムに(一|二|三)つ発生する。/ =~ text

    counts = 1
    case $1
    when '二'
      counts = 2
    when '三'
      counts = 3
    end

    substitution = text.clone
    substitution = substitution.gsub($&, '')
    substitution += "\n" unless substitution.empty? or /\n$/ =~ substitution

    return substitution + badStatus(counts)
  end

  def costume(title, brandOnly = false)
    table = []
    if title.include?('의상(챌린지 걸즈)')
       table = [
        [11, "12&88\n자신의 【퍼포먼스치】가 결정되었을 때, 그 값을 2점 상승한다."],
        [12, "Glow Up Princess\n퍼포먼스를 할 때 주사위를 추가로 1개 더 굴린다."],
        [13, "시즈쿠\n라이브페이즈 개시 시 【멘탈】이 5점 상승한다."],
        [14, "Pop☆Sweet\n자신의 【멘탈】이 상승할 때 추가로 1점 더 상승한다."],
        [15, "Ttype\n단기돌파 시 【멘탈】이 감소하지 않는다. 또한 단기돌파를 할 때 달성치가 1점 상승한다."],
        [16, "Vampire Story\n퍼포먼스의 【퍼포먼스치】가 10이상일 경우, 자신의 【멘탈】이 3점 상승한다."],
        [22, "Pure Mermaid\n【비주얼】 공연 중 지정 특기를 《스타일》로 변경할 수 있다. 지정 특기가 《스타일》인 공연에서는 【퍼포먼스치】가 2점 상승한다."],
        [23, "I'm cute\n라이브 페이즈 개시 시 【멘탈】이 1점 상승한다. 막간 개시 시 능력치를 1개 선택한다. 선택된 능력치는 이 라이브 페이즈 간에 1점 상승한다."],
        [24, "No.1 Girl\n【퍼포먼스치】가 결정될 때 【멘탈】을 1점 감소시키고 【퍼포먼스치】가 3점 상승한다."],
        [25, "Final Romance\n【비주얼】 퍼포먼스를 실시할 때 캐릭터를 1인 선택한다. 선택한 캐릭터의 자신에 대한 【이해도】와 같은 【퍼포먼스치】가 상승한다."],
        [26, "Prism Line\n퍼포먼스 1회에 1번만 퍼포먼스에 사용한 주사위 1개를 다시 굴릴 수 있다."],
        [33, "서번트 서비스\n심포니를 할 때마다 그 퍼포먼스 스의 【퍼포먼스치】가 3점 상승한다."],
        [34, "Travel Bag\n막간에 자신의 【이해도】 체크 1개를 해제할 수 있다."],
        [35, "JewelC\n개막공연과 막간에 아이템을 1개 선택해 획득한다."],
        [36, "Sweet Girl\n퍼포먼스를 실시한 PC는 【멘탈】이 2점 상승한다."],
        [44, "Satisfaction West\n미라클, 미라클 싱크로, 퍼펙트 미라클이 발생했을 때 【퍼포먼스치】가 5점 상승한다."],
        [45, "Under Big Ben\n사용 능력이 【보이스】인 퍼포먼스의 【퍼포먼스치】가 10이상인 경우 자신에 대한 【이해도】 체크 1개를 해제할 수 있다."],
        [46, "PIERO\n단기돌파의 달성치가 2점 상승한다."],
        [55, "캉캉냥냥\n사용 능력이 【비주얼】인 퍼포먼스를 실시 할 때 【퍼포먼스치】가 3점 상승한다."],
        [56, "화조풍월\n심포니를 실시할 때 굴리는 주사위의 수를 1개 늘린다, 혹은 1개 줄일 수 있다."],
        [66, "Jingle Bells\n리절트페이즈에서 이하의 효과가 발생한다. 리절트페이즈에서 【획득 팬 인원수】가 1D6점 상승한다. 또 PC전원은 조건을 채우지 않아도 「부탁」을 할 수 있다."],
      ]
    elsif title.include?('의상(로드 투 프린스)')
      table = [
        [11, "Angel kiss\n퍼포먼스를 할 때 1의 눈이 나온 주사위는 제거되지 않는다. 심포니를 실시했을 때, 1의 눈이 나온 주사위는 제거한다."],
        [12, "Pirate ship\n공연목록에서 지정특기가 속성 분야일 경우 그 지정특기를 《섹시/속성4》로 변경할 수 있다."],
        [13, "로드 투 프린스\n미러클 ・ 미라클 싱크로 ・ 퍼펙트 미라클・ 퍼펙트 미라클 싱크로가 발생했을 때, 그 캐릭터는 【멘탈】이 10점 상승한다."],
        [14, "Princess Guardian\n자신 이외의 캐릭터가 【멘탈】이 o점이 되었을 때, 《배려/재능9》로 판정을 한다. 이 판정에 개성특기는 사용할 수 없다. 성공한다면 그 캐릭터는 [획득 팬 인원수]가 반감 되지 않는다."],
        [15, "Starlight TourS\n라이브 페이즈 간에, 공연 목록을 1개 선택하고, 지정특기를 《스타/속성12》로 변경할 수 있다."],
        [16, "화조풍월•속편\n라이프 페이즈 중, 한 번 남아있는 모든 주사위의 눈을 재반전(1이라면 4, 2라면 5, 3이라면 6으로)할 수 있다."],
        [22, "시쿠라마\n판정에 사용한 주사위의 값이 7인 경우 【멘탈】이 7점 상승한다."],
        [23, "Chime\n미러클 ・ 미라클 싱크로 ・ 퍼펙트 미라클・ 퍼펙트 미라클 싱크로가 발생했을 때, 그 캐릭터는 랜덤으로 아이템 1개를 얻는다."],
        [24, "사상지광\n심포니를 할 때 심포니를 받은 캐릭터의 【멘탈】이 5점상승한다."],
        [25, "Air by me\n막간 개시 시 【멘탈】이 5점 상승한다."],
        [26, "전국 스트리트\n공연목록의 사용 능력이 【피지컬】이면 【퍼포먼스치】가 2점 상승한다. 또한 지정 특기가 《댄스/취미 9》일 경우, 【퍼포먼스치】가 2점 상승한다."],
        [33, "Wild man\n단기돌파의 달성치가 2점 상승한다. 다만, 스페셜은 발생하지 않는다."],
        [34, "Gray Stand\n【획득 팬 인원수】가 감소했을 때, 감소한 값의 반(소수점이하 버림)과 같은 값의 【획득 팬 인원수】가 상승한다."],
        [35, "토이ARM\n공연을 개시할 때, 2D6을 굴린다. 그 결과가 11이상이면, 이 공연에서는 【멘탈】이 감소하지 않는다,"],
        [36, "white plan\n펌블이 발생해도 변조를 받지 않는다.。"],
        [44, "SINOBI\n개막 공연을 실시할 때, 나오지 않는 의상을 선택할 수 있다.."],
        [45, "V-X\n미라클이 발생하면 퍼포먼스치를 15로 할 수 있다."],
        [46, "드래곤 너클\n막간 후에, PC가 행하는 퍼포먼스의 【퍼포먼스치】가 4점 상승한다."],
        [55, "Halloween Magic\n후반PP로 【멘탈】이 감소할 때, 그 값을 4점 감소시킨다. (최저 0)"],
        [56, "Satisfaction East\n【획득 팬 인원수】가 감소하게 되면 【멘탈】을 20점으로 할 수 있다."],
        [66, "Devil kiss\n퍼포먼스를 할 때 6의 눈이 나온 주사위는 제거되지 않는다. 심포니를 실시했을 때, 6의 눈이 나온 주사위는 제거한다."],
      ]
    elsif title.include?('フォーチュンスターズ')
      table = [
        [11, "常峰製作所\n第一演目では、【メンタル】が減少しない。"],
        [12, "フォーチュンスター\n最終演目の【パフォーマンス値】が「【メンタル】÷2（端数切り捨て）」点上昇する。"],
        [13, "ファイタースケイル\n【メンタル】が5点以下の場合、【パフォーマンス値】が1D6点上昇する。"],
        [14, "Blood Scissors\n自分以外のキャラクター一人の【メンタル】を5点減少するか、プロデューサーに変調「怪我」を与えることで、自分の【メンタル】が5点上昇する。この効果は、プロデューサーが既に「怪我」の変調を受けていると、使用できない。"],
        [15, "蒸気式演技服\n判定を行うとき、【メンタル】を1点消費することで、判定の達成値が1点上昇する。"],
        [16, "ウェイトスター\n「スタミナドリンク」によって、他のキャラクターの【メンタル】を上昇する場合、さらに4点上昇する。"],
        [22, "Little Stage\n判定のサイコロやパフォーマンスで「1」の出目が1つ以上出た場合、【思い出】を1つ獲得する。"],
        [23, "Check It\n開幕演目前に、最終演目以外の好きな演目を指定する。指定された演目では、自分の【メンタル】が減少しない。"],
        [24, "12 Sword\nアイドル戦闘ルールを使用しているとき、与えるダメージが3点上昇し、上昇する【獲得ファン人数】が5点上昇する。"],
        [25, "Magi Magic\nパフォーマンスや自分が行うシンフォニーでサイコロを取り除くたびに、【メンタル】が2点上昇する。"],
        [26, "Jokers\n最終演目に行う一芸突破の目標値が3点減少する。"],
        [33, "Papillon Club\n自分以外のキャラクターがタイプが「補助」のアイドルスキルを使用するたびに、【メンタル】が3点上昇する。"],
        [34, "ネイキッドチャレンジ\n開幕演目開始時に、【メンタル】が5点減少する。このライブフェイズの間、好きな能力値が3点上昇する。"],
        [35, "Cold Vivit\n好きなギャップを1つ埋める。このギャップは、ライブフェイズ終了時に元に戻る。"],
        [36, "対魔絶伏\n特別な演目では、【メンタル】が減少しない。"],
        [44, "Rescue Power\n演目の判定でファンブルが発生した場合、好きな能力値でパフォーマンスを行うことができる。"],
        [45, "アニマルエンジン\n幕間の終了時に、好きな動物からの【理解度】が2点上昇する。"],
        [46, "ふわふわキッチン\n好きなときに、「お菓子」を一つ消費することで、好きなキャラクターの【メンタル】が1D6点上昇できる。また、幕間に「お菓子」を1つ獲得する。"],
        [55, "Night Talk\n幕間で「信用」を行ったとき、上昇する【メンタル】が10点になる。"],
        [56, "ティーチングタイム\n自分以外のキャラクターを1人指定する。このライブフェイズの間、指定されたPCの能力値が1点上昇する。"],
        [66, "See Diver\n演目名に「海」「水」「泡」「湖」「風呂」を含む演目を行った場合、【獲得ファン人数】が1D6点上昇する。"],
      ]
    else
      return nil
    end

    text = textFromD66Table(title, table)
    text = text.split("\n").first if brandOnly
    return text
  end
end
